# Driftsportal

[![💎 - Definition of Done](https://img.shields.io/badge/💎-Definition_of_Done-blueviolet)](docs/definition-of-done.md)

## For å kjøre lokalt

-   Installer [Node.js](https://nodejs.org/en/) fra installer, med `brew install node` eller vha. NVM
-   `npm i` for å hente ned avhengigheter
-   `npm run dev` for å kjøre prosjektet
-   `npm run dev-server` for å kjøre opp lokal utviklingsserver som mocker kall til backends

Prosjektet bygger kun på node versjon 20.X (node LTS Iron).

## For å kjøre på mobil

-   Print IP-adressen til terminalen med `ifconfig | grep "inet " | grep -v 127.0.0.1 | cut -d\  -f2`.
-   Sett `NEXT_PUBLIC_MOBIL_URL=<DIN_IPADRESSE>` i `env.local`. Hvis du ikke har den filen kan du opprette den i rotmappen til prosjektet.
-   I `serve.json`-filen setter du verdien til `Access-Control-Allow-Origin` til å være `http://<DIN_IPADRESSE>:3000`. Denne verdien må settes tilbake til `http://localhost:3000` for å kjøre lokalt.
-   Fullfør med å gjøre stegene for å kjøre lokalt som er forklrart over.

## ADR

Vi bruker ARD for å holde orden på design og arkitekuravgjørelser vi tar. Mer informasjon om dette 🔗 [i egen readme](docs/adr/README.md).

## Kloning av repo

Repoet må klones med https for å for å kunne pulle og pushe utenfor svv nett.
Man må så opprette et token i bitbucket ("manage account" -> "HTTP access tokens" -> "create token" -> sett repository permissions til "Repository write".
Kopier tokenet når du oppretter det, og legg det til i .git/config i repoet på følgende måte:

```
extraheader = Authorization: Bearer DITT-BEARER-TOKEN
```

Dette må fornyes hver måned.

## Teknisk

Repoet er bygget med React, Next.js og TypeScript. Vi bruker styled-components for styling og testing med Jest.
State håndtering er gjort med [Jotai](https://jotai.org/docs), som håndterer global state uten behov for context.
Fordelen med jotai er at sidene ikke rerendes unødvendig som ved bruk av context, slik at kartet ikke lagger.

## Kontakt

Hvis du har spørsmål til denne appen kan du få kontakt med teamet på vegvesen-slacken `@team-kos` eller på `#kos` kanalen.
