import "jest-canvas-mock";
import "@testing-library/jest-dom";
import * as matchers from "jest-extended";
import { toHaveNoViolations } from "jest-axe";
import fetchMock from "jest-fetch-mock";

expect.extend(matchers);
expect.extend(toHaveNoViolations);
fetchMock.enableMocks();
jest.mock("next/router", () => ({
    useRouter: jest.fn(),
}));

expect.extend({
    toBeDistinct(received) {
        const pass = Array.isArray(received) && new Set(received).size === received.length;
        if (pass) {
            return {
                message: () => `expected [${received}] array is unique`,
                pass: true,
            };
        } else {
            return {
                message: () => `expected [${received}] array is not to unique`,
                pass: false,
            };
        }
    },
});
