"use client";
import React, { useEffect } from "react";
import { useHentProduksjonslenker } from "../useHentProduksjonslenker";
import { useSetAtom } from "jotai";
import { aktivKontraktAtom, kontrakterAtom, tidspunktAtom } from "./kontraktAtoms";
import { useAtom } from "jotai/index";
import { useHentRoder } from "../useHentRoder";
import { useHentKontraktinfo } from "../useHentKontraktinfo";
import { tilKontrakter } from "./kartdataHelpers";
import { finnInitAktivKontrakt, finnInitTidspunkt } from "../../kartSide/utils/kartUrlUtils";
import { brukerInfoAtom, produksjonslenkerAtom, roderAtom } from "./apiAtoms";
import { useRedirectTilNåTidspunktPåReload } from "../../hooks/useRedirectTilNåTidspunktPåReloade";

export const InitKartdata: React.FC = () => {
    const [aktivKontrakt, setAktivKontrakt] = useAtom(aktivKontraktAtom);
    const [kontrakter, setKontrakter] = useAtom(kontrakterAtom);
    const [tidspunkt, setTidspunkt] = useAtom(tidspunktAtom);
    const setBrukerInfo = useSetAtom(brukerInfoAtom);
    const setProduksjonslenker = useSetAtom(produksjonslenkerAtom);
    const setRoder = useSetAtom(roderAtom);
    const brukerInfo = useHentKontraktinfo();
    useRedirectTilNåTidspunktPåReload();

    useEffect(() => {
        setBrukerInfo(brukerInfo);
        if (brukerInfo && brukerInfo.suksess) {
            setKontrakter(tilKontrakter(brukerInfo.data.kontrakter ?? []));
        }
    }, [brukerInfo]);

    useEffect(() => {
        const førsteKontrakt = finnInitAktivKontrakt(kontrakter, aktivKontrakt);
        førsteKontrakt && setAktivKontrakt(førsteKontrakt);
    }, [kontrakter]);

    useEffect(() => {
        const tidspunkt = finnInitTidspunkt();
        setTidspunkt(tidspunkt);
    }, []);

    const produksjonslenker = useHentProduksjonslenker(aktivKontrakt, tidspunkt);
    const roder = useHentRoder(aktivKontrakt?.elrappId);

    useEffect(() => {
        setProduksjonslenker(produksjonslenker);
    }, [produksjonslenker]);

    useEffect(() => {
        setRoder(roder);
    }, [roder]);

    return null;
};
