"use client";
import { Produksjonsdetaljer } from "../../kartSide/types/produksjonsdetaljer";
import { DataStatus, FetchStatus } from "../api";
import { atom } from "jotai";
import { hentDetaljerUrlParam } from "./ØktDetaljerHelpers";
import dayjs from "dayjs";
import { useHentØktProduksjonslenker } from "../useHentØktProduksjonslenker";
import { useHentØktdetaljer } from "../useHentØktdetaljer";
import { useAtom } from "jotai/index";
import { useEffect } from "react";

export const øktProduksjonsdetaljerAtom = atom<DataStatus<Produksjonsdetaljer[]>>({
    status: FetchStatus.IkkeHentet,
});
export const øktidAtom = atom<string | undefined>(undefined);

export const InitØktdetaljer = () => {
    const [øktid, setØktId] = useAtom(øktidAtom);

    useEffect(() => {
        const øktidFraUrl = hentDetaljerUrlParam();
        if (!øktid && øktidFraUrl) {
            setØktId(øktidFraUrl.økt);
        }
    }, [øktid, setØktId]);

    useHentØktProduksjonslenker(øktid, dayjs());
    useHentØktdetaljer(øktid);

    return null;
};
