import { erKontraktGyldig } from "./kartdataHelpers";
import dayjs from "dayjs";
import { Kontrakt } from "./kontraktAtoms";

describe("Kartdata Helpers", () => {
    describe("sjekker om kontrakt er gyldig", () => {
        const kontrakt: Kontrakt = {
            navn: "test kontrakt",
            navnNvdb: "testKontrakt",
            elrappId: 1,
            startDato: dayjs("2020-01-01"),
            sluttDato: dayjs("2020-03-01"),
        };

        it("undefined kontrakt", () => {
            expect(erKontraktGyldig(undefined, dayjs())).toBe(false);
        });

        it("utgått kontrakt", () => {
            expect(erKontraktGyldig(kontrakt, dayjs("2020-04-01"))).toBe(false);
        });

        it("ikke startet kontrakt", () => {
            expect(erKontraktGyldig(kontrakt, dayjs("2019-12-01"))).toBe(false);
        });

        it("gyldig kontrakt", () => {
            expect(erKontraktGyldig(kontrakt, dayjs("2020-02-01"))).toBe(true);
        });
    });
});
