import { sideInfo } from "../../sider";

interface DetaljerUrlData {
    økt: string;
}

export enum DetaljerUrlSearchParameter {
    okt = "oktid",
}

export const hentDetaljerUrlParam = (): DetaljerUrlData | undefined => {
    if (typeof window !== "undefined") {
        const queryParam = new URLSearchParams(window.location.search);
        const øktParam = queryParam.get(DetaljerUrlSearchParameter.okt);
        if (øktParam === null || øktParam === "") {
            return undefined;
        }
        return { økt: øktParam };
    }
};

export const settDetaljerUrlParam = (
    nåværendePath: string,
    detaljerUrlData: DetaljerUrlData,
): void => {
    if (nåværendePath.includes(sideInfo.øktdetaljer.href)) {
        const urlParametre = new URLSearchParams();
        urlParametre.set(DetaljerUrlSearchParameter.okt, detaljerUrlData.økt.toString());
        window.history.replaceState(window.history.state, "", "?" + urlParametre.toString());
    }
};
