import { ApiRespons, FeilType, fetcher, ikkeRevalidate } from "./api";
import { DRIFTSPORTAL_API_URL } from "../utils/baseUrl";
import useSWR from "swr";
import { FriksjonsmålingMetadataDto } from "./useHentFriksjonsdata";
import dayjs from "dayjs";

export function useHentFriksjonsmetadata(): ApiRespons<FriksjonsmålingMetadataDto[]> | undefined {
    const customFetcher = async (): Promise<ApiRespons<FriksjonsmålingMetadataDto[]>> =>
        await fetcher<FriksjonsmålingMetadataDto[]>(
            `${DRIFTSPORTAL_API_URL}/friksjonsmetadata`,
            FeilType.KUNNE_IKKE_HENTE_FRIKSJONSMETADATA,
        );
    const { data } = useSWR<ApiRespons<FriksjonsmålingMetadataDto[]>>(
        dayjs().toString(),
        customFetcher,
        ikkeRevalidate,
    );

    return data;
}
