import useSWR from "swr";
import { ApiRespons, FeilType, fetcher, ikkeRevalidate } from "./api";
import { DRIFTSPORTAL_API_URL } from "../utils/baseUrl";

export interface KontraktBrukerDto {
    fulltnavn: string;
    epost: string;
    kontrakter?: KontraktDto[];
}

export interface KontraktDto {
    kontraktNavn: string;
    kontraktNavnNvdb: string;
    elrappKontraktId: number;
    startDato: string | null;
    sluttDato: string | null;
}

export function useHentKontraktinfo(): ApiRespons<KontraktBrukerDto> | undefined {
    const customFetcher = async (): Promise<ApiRespons<KontraktBrukerDto>> =>
        await fetcher<KontraktBrukerDto>(
            `${DRIFTSPORTAL_API_URL}/bruker-kontrakter`,
            FeilType.KUNNE_IKKE_HENTE_KONTRAKTER,
        );
    const { data } = useSWR<ApiRespons<KontraktBrukerDto>>(
        `bruker-kontrakter`,
        customFetcher,
        ikkeRevalidate,
    );
    return data;
}
