import useSWR from "swr";
import { ApiRespons, FeilType, fetcher, ikkeRevalidate } from "./api";
import { WEBKAMERA_URL } from "../utils/baseUrl";

export interface WebkameraDto {
    id: number;
    stedsnavn: string;
    veg: string;
    landsdel: string;
    lengdegrad: number;
    breddegrad: number;
    vaervarsel: string;
    info: string;
    fylkesnummer: string;
    maalestasjonsnummer: string;
    videoformat: string;
    videoUrl: string;
    videobeskrivelse: string;
    bildefrekvens: string;
}

export function useHentWebkamera(): ApiRespons<WebkameraDto[]> | undefined {
    const customFetcher = async (): Promise<ApiRespons<WebkameraDto[]>> =>
        await fetcher<WebkameraDto[]>(
            `${WEBKAMERA_URL}/public/kameradata`,
            FeilType.KUNNE_IKKE_HENTE_KAMERA,
            false,
        );
    const { data } = useSWR<ApiRespons<WebkameraDto[]>>(
        "kameradata",
        customFetcher,
        ikkeRevalidate,
    );
    return data;
}
