import StyledComponentsRegistry from "./registry";
import "./styles.css";
import "../components/fellesKomponenter/spinner/spinner.scss";
import { Metadata } from "next";
import { InitAuthentication } from "../api/context/InitAuthentication";
import ErrorBoundary from "../components/feil/ErrorBoundary";

export const metadata: Metadata = {
    title: "Vegdriftsportal",
};

export default function RootLayout({ children }: { children: React.ReactNode }) {
    return (
        <html lang="nb">
            <head>
                <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png" />
                <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png" />
                <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png" />
                <link rel="shortcut icon" href="/favicon.ico" />
                <meta name="robots" content="noindex" />
            </head>
            <body>
                <ErrorBoundary>
                    <InitAuthentication />
                    <StyledComponentsRegistry>{children}</StyledComponentsRegistry>
                </ErrorBoundary>
            </body>
        </html>
    );
}
