import {
    AuthenticationStatus,
    authenticationStatusAtom,
    authenticationStore,
} from "../api/context/InitAuthentication";
import { Spinner } from "./fellesKomponenter/spinner/Spinner";
import { useAtomValue } from "jotai";

interface AuthenicationWrapperProps {
    children: React.ReactNode;
}

export const AuthenticationWrapper = ({ children }: AuthenicationWrapperProps) => {
    const authenticationStatus = useAtomValue(authenticationStatusAtom, {
        store: authenticationStore,
    });

    switch (authenticationStatus) {
        case AuthenticationStatus.Initialisert:
        case AuthenticationStatus.Henter:
            return (
                <Spinner storrelse="liten" sentrert={true} inline={false}>
                    Autentiserer...
                </Spinner>
            );
        case AuthenticationStatus.Autentisert:
            return <>{children}</>;
        case AuthenticationStatus.Feilet:
            return <div>Ikke autentisert</div>;
        case AuthenticationStatus.LoggerUt:
            return <div>Logger ut</div>;
        default:
            return <div>Noe feilet under autentisering</div>;
    }
};
