import styled from "styled-components";
import { breakpointMobil } from "../../utils/constants";

interface IkonProps {
    $path: string;
    $border?: number;
}

export const IkonBase = styled.i<IkonProps>`
    background: url(${(props) => props.$path}) no-repeat;
    height: 44px;
    width: 44px;
    border: ${(props) => (props.$border ? props.$border : 0)}px solid var(--gray-dark);
    border-radius: 50%;

    @media (max-width: ${breakpointMobil}) {
        display: none;
    }
`;
