import React from "react";
import styled from "styled-components";

interface TekstpilProps {
    $rotert: boolean;
    retning?: "horisontal" | "vertikal";
    størrelse?: number;
}

export const Tekstpil = ({ $rotert, retning = "horisontal", størrelse = 16 }: TekstpilProps) => {
    const grader = retning === "horisontal" ? ($rotert ? 180 : 0) : $rotert ? -90 : 90;

    return (
        <RoterPil $grader={grader}>
            <svg
                width={størrelse}
                height="10"
                viewBox="0 0 16 10"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
            >
                <path
                    d="M7.37821 9.73477L0.257567 2.40132C-0.0858556 2.04764 -0.0858555 1.47423 0.257567 1.12058L1.08808 0.265254C1.43091 -0.0878268 1.98655 -0.0885059 2.33019 0.263744L8.00002 6.07563L13.6698 0.263745C14.0134 -0.0885053 14.5691 -0.0878262 14.9119 0.265254L15.7424 1.12058C16.0859 1.47426 16.0859 2.04767 15.7424 2.40132L8.62179 9.73473C8.27841 10.0884 7.72163 10.0884 7.37821 9.73477Z"
                    fill="#444F55"
                />
            </svg>
        </RoterPil>
    );
};

const RoterPil = styled.span<{ $grader: number }>`
    ${({ $grader }) =>
        $grader &&
        `transform: rotate(${$grader}deg);
        
    `};
    display: flex;
    justify-content: center;
    align-items: center;
`;
