import { Ikon } from "../Ikon/Ikon";
import React from "react";
import styled from "styled-components";
import { EksternLenke } from "../fellesKomponenter/lenker/EksternLenke";
import { Lenke } from "../fellesKomponenter/lenker/Lenke";
import { loggEventMedTabellnavn, TabellNavn } from "../../utils/loggFrontend";

interface BurgermenylenkeProps {
    href: string;
    ikonUrl: string;
    tekst: string;
}

export const Burgermenylenke = ({ href, ikonUrl, tekst }: BurgermenylenkeProps) => (
    <>
        <Ikon $url={ikonUrl} height={24} width={24} />
        <Lenke
            onClick={() => loggEventMedTabellnavn(TabellNavn.burgermenyTrykk, tekst)}
            href={href}
            passHref
        >
            {tekst}
        </Lenke>
    </>
);

export const BurgermenyEksternLenke = ({ href, ikonUrl, tekst }: BurgermenylenkeProps) => (
    <>
        <Ikon $url={ikonUrl} height={24} width={24} />
        <EksternLenkeBurgerMeny href={href} lenkeikon={"skjul"}>
            {tekst}
        </EksternLenkeBurgerMeny>
    </>
);

const EksternLenkeBurgerMeny = styled(EksternLenke)`
    display: flex;
`;
