import { Ikon } from "../Ikon/Ikon";
import React from "react";
import styled from "styled-components";
import { Tekst } from "../fellesKomponenter/typografi/Tekst";

interface BurgermenyknappProps {
    onClick: () => void;
    ikonUrl: string;
    tekst: string;
}

export const Burgermenyknapp = ({ onClick, ikonUrl, tekst }: BurgermenyknappProps) => (
    <>
        <Ikon $url={ikonUrl} height={24} width={24} />
        <Menyknapp onClick={onClick}>
            <Tekst $nomargin={true}>{tekst}</Tekst>
        </Menyknapp>
    </>
);

const Menyknapp = styled.button`
    background: none;
    border: none;
    border-bottom: 1px solid var(--gray-dark-65);
    padding: 0;

    &:hover {
        border-bottom: 2px solid var(--gray-dark-65);
        cursor: pointer;
        margin-bottom: -1px;
    }

    &:active {
        border-bottom: 3px solid var(--gray-dark-65);
        margin-bottom: -2px;
    }
`;
