import { Panel } from "../fellesKomponenter/Panel";
import { Tekst } from "../fellesKomponenter/typografi/Tekst";
import styled from "styled-components";
import { ReactNode } from "react";

interface FeilsideProps {
    tittel: string;
    children: ReactNode;
}

export const Feilside = ({ tittel, children }: FeilsideProps) => {
    return (
        <Container>
            <Panel tittel={tittel}>
                <Tekst $størrelse={"S"}>{children}</Tekst>
            </Panel>
        </Container>
    );
};

const Container = styled.main`
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
`;
