import styled from "styled-components";
import React from "react";
import { fontsizeLargeScreen, fontsizeSmallScreen } from "../typografi/TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";

interface FormLabelProps {
    htmlFor: string;
    children: React.ReactNode;
}

export const FormLabel = ({ htmlFor, children }: FormLabelProps) => (
    <Label htmlFor={htmlFor}>{children}</Label>
);

const Label = styled.label`
    font-weight: bold;
    ${fontsizeLargeScreen};
    margin-bottom: 0.3rem;

    @media (max-width: ${breakpointNettbrett}) {
        ${fontsizeSmallScreen};
    }
`;
