import styled from "styled-components";
import { fontsizeLargeScreen, fontsizeSmallScreen } from "../typografi/TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";
import { StørrelseType } from "../../../kartSide/kartParameterVelger/DataInput";

interface InputfeltProps {
    $størrelse?: StørrelseType;
    $error?: boolean;
}

export const Inputfelt = styled.input<InputfeltProps>`
    font-family: "LFT Etica", sans-serif;
    ${fontsizeLargeScreen};
    height: 22px;
    padding: 9px 16px;
    position: relative;
    width: ${(props) => widthTheme[props.$størrelse || "L"]};
    border: ${(props) =>
        props.$error ? "2px solid var(--red-regular)" : "2px solid var(--gray-dark)"};

    &::-webkit-calendar-picker-indicator {
        margin: -2px -2px;
    }
    &:hover {
        border-width: 3px;
        padding: 8px 15px;
    }

    &:active,
    &:focus {
        border-width: 3px;
        outline: 3px solid var(--orange);
        outline-offset: 1px;
        padding: 8px 15px;
    }

    @media (max-width: ${breakpointNettbrett}) {
        ${fontsizeSmallScreen};
    }
`;

const widthTheme = {
    XS: "30px",
    S: "60px",
    M: "90px",
    L: "120px",
    XL: "150px",
    XXL: "280px",
};
