import styled from "styled-components";

interface KartKnappProps {
    $right?: number;
    $bottom?: number;
    $top?: number;
    $left?: number;
}

export const KartKnapp = styled.button<KartKnappProps>`
    position: fixed;
    ${(props) => props.$right && `right: ${props.$right}px;`}
    ${(props) => props.$bottom && `bottom: ${props.$bottom}px;`}
      ${(props) => props.$top && `top: ${props.$top}px;`}
      ${(props) => props.$left && `left: ${props.$left}px;`}
    z-index: 1001;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 44px;
    height: 44px;
    background-size: 48px 48px;
    box-sizing: border-box;
    background-color: white;
    box-shadow: 0px 0px 6px 2px rgba(53, 62, 67, 0.08);
    border: 2px solid var(--gray-dark);

    &:focus {
        outline: 3px solid var(--gray-dark) !important;
        box-shadow: 0px 0px 9px 5px rgba(53, 62, 67, 0.08);
        border: 0;
    }

    &:hover {
        cursor: pointer;
        &:not(:focus) {
            border: 3px solid var(--gray-dark);
            background-color: var(--gray-regular);
            box-sizing: border-box;
        }
    }
`;
