import styled, { css } from "styled-components";
import { breakpointNettbrett } from "../../../utils/constants";

export interface SvvKnappProps {
    size: "Large" | "Small";
}
export const KnappBasis = styled.button<SvvKnappProps>`
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font-family: "LFT Etica", sans-serif;
    font-weight: 600;
    min-width: fit-content;
    appearance: none;

    ${(props) => props.size === "Large" && storKnappTheme};
    ${(props) => props.size === "Small" && litenKnappTheme};

    @media (max-width: ${breakpointNettbrett}) {
        ${(props) => props.size === "Large" && litenKnappTheme};
        ${(props) => props.size === "Small" && litenKnappThemeSmall};
    }
`;

const litenKnappTheme = css`
    font-size: 16px;
    height: 44px;
    padding: 9px 16px;
`;

const litenKnappThemeSmall = css`
    font-size: 14px;
    height: 44px;
    padding: 9px 16px;
`;

const storKnappTheme = css`
    font-size: 18px;
    height: 56px;
    padding: 13px 24px;
`;
