import styled from "styled-components";

import React from "react";
import { TekstBasisStyles } from "../typografi/TekstStyles";

interface HoppTilHovedinnholdLenkeProps {
    hovedinnholdId: string;
}
export const HopptilHovedinnholdLenke = ({ hovedinnholdId }: HoppTilHovedinnholdLenkeProps) => {
    return <StyledLenke href={`#${hovedinnholdId}`}>Hopp til hovedinnholdet</StyledLenke>;
};

const StyledLenke = styled.a`
    padding: 0.5rem 3rem;
    background-color: var(--orange);
    position: absolute;
    left: -2000px;
    top: 6px;
    text-decoration: none;
    ${TekstBasisStyles};
    color: var(--gray-darker);

    &:focus {
        left: 6px;
    }
`;
