import styled from "styled-components";
import React from "react";
import Link from "next/link";
import {
    fontsizeTheme,
    fontsizeThemeSmall,
    lineheightTheme,
    lineheightThemeSmall,
    Størrelse,
    TekstBasisStyles,
} from "../typografi/TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";

interface LenkeProps {
    $størrelse?: Størrelse;
    $fontWeight?: number;
}
export const Lenke = styled(Link).attrs<LenkeProps>((props) => ({
    $størrelse: props.$størrelse || "L",
    fontWeight: props.$fontWeight || 400,
}))`
    text-decoration: none;
    ${TekstBasisStyles};
    color: var(--gray-dark) !important;
    border-bottom: 1px solid var(--gray-dark-65);
    font-size: ${(props) => fontsizeTheme[props.$størrelse!]};
    line-height: ${(props) => lineheightTheme[props.$størrelse!]};
    font-weight: ${(props) => props.$fontWeight};

    &:hover {
        border-bottom: 2px solid var(--gray-dark-65);
        margin-bottom: -1px;
    }

    &:active {
        border-bottom: 3px solid var(--gray-dark-65);
        margin-bottom: -2px;
    }

    @media (max-width: ${breakpointNettbrett}) {
        font-size: ${(props) => fontsizeThemeSmall[props.$størrelse!]};
        line-height: ${(props) => lineheightThemeSmall[props.$størrelse!]};
    }
`;
