import React from "react";
import styled from "styled-components";
import { fontsizeLargeScreen, fontsizeSmallScreen } from "../typografi/TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";

interface Props {
    søkeord: string;
    setSøkeord: (søkeord: string) => void;
    children?: React.ReactNode;
}
export const Søkefelt = ({ søkeord, setSøkeord }: Props) => {
    return (
        <Sokefelt
            onChange={(e) => setSøkeord(e.target.value)}
            placeholder={"Søk"}
            type={"text"}
            value={søkeord}
        />
    );
};

const Sokefelt = styled.input`
    border: none;
    border-bottom: 1px solid var(--gray-dark);
    ${fontsizeLargeScreen};
    height: 28px;
    margin: 4px;
    width: calc(100% - 12px);

    &:focus {
        outline: none;
    }

    @media (max-width: ${breakpointNettbrett}) {
        ${fontsizeSmallScreen};
    }
`;
