import {
    fontsizeTheme,
    fontsizeThemeSmall,
    lineheightTheme,
    lineheightThemeSmall,
    Størrelse,
    TekstBasisStyles,
} from "./TekstStyles";
import { breakpointNettbrett } from "../../../utils/constants";
import styled from "styled-components";

interface TekstProps {
    $størrelse?: Størrelse;
    as?: "span" | "p" | "ul";
    $nomargin?: boolean;
    $bold?: boolean;
}

export const Tekst = styled.p
    .withConfig({
        shouldForwardProp: (prop) => !["nomargin", "størrelse", "bold"].includes(prop),
    })
    .attrs<TekstProps>((props) => ({
        as: props.as || "p",
        $størrelse: props.$størrelse || "L",
        $nomargin: props.$nomargin || false,
        $bold: props.$bold || false,
    }))`
  ${TekstBasisStyles};
  ${(props) => props.$nomargin && "margin: 0;"}

  font-weight: ${(props) => (props.$bold ? 600 : 400)};
  font-size: ${(props) => fontsizeTheme[props.$størrelse!]};
  line-height: ${(props) => lineheightTheme[props.$størrelse!]};

  @media (max-width: ${breakpointNettbrett}) {
    font-size: ${(props) => fontsizeThemeSmall[props.$størrelse!]};
    line-height: ${(props) => lineheightThemeSmall[props.$størrelse!]};
  }
`;
