import { Tekstpil } from "../../Ikon/Tekstpil";
import styled from "styled-components";
import { Tekst } from "../typografi/Tekst";

interface PilKnappProps {
    onClick: () => void;
}

export const VisMenyKnapp = ({ onClick }: PilKnappProps) => {
    return (
        <MenyKnappUttrekk onClick={onClick}>
            <Wrapper>
                <Tekst as="span" $størrelse={"M"}>
                    Vis meny
                </Tekst>
                <Tekstpil $rotert={true} retning={"vertikal"} />
            </Wrapper>
        </MenyKnappUttrekk>
    );
};

const MenyKnappUttrekk = styled.button`
    position: absolute;
    background-color: var(--white);
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    border-bottom: 2px solid var(--orange);
    cursor: pointer;
    width: 130px;
    height: 46px;
    top: 16px;
    left: 16px;
    z-index: 1500;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);

    &:hover {
        border-bottom: 3px solid var(--orange);
    }
`;

const Wrapper = styled.div`
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
`;
