import dayjs from "dayjs";
import { hentTicksXaxis } from "./fellesGrafUtils";

describe("felles graf utils", () => {
    it("skal hente ticks x akse på 5 minutter intervaller", () => {
        const forventetTicks = [
            1674876005000, 1674876305000, 1674876605000, 1674876905000, 1674877205000,
            1674877505000,
        ];
        const startOgSlutt = {
            startTid: dayjs("2023-01-28T03:17:05.000Z"),
            sluttTid: dayjs("2023-01-28T03:47:16.000Z"),
        };
        const ticks = hentTicksXaxis(startOgSlutt.startTid, startOgSlutt.sluttTid);
        expect(JSON.stringify(ticks)).toEqual(JSON.stringify(forventetTicks));
        expect(dayjs(ticks[1]).diff(dayjs(ticks[0]), "minute")).toEqual(5);
    });

    it("skal lage ticks på 1 minutt når tiden er under 20 minutter", () => {
        const forventetTicks = [1674875825000, 1674875885000, 1674875945000, 1674876005000];
        const startOgSlutt = {
            startTid: dayjs("2023-01-28T03:17:05.000Z"),
            sluttTid: dayjs("2023-01-28T03:21:02.000Z"),
        };
        const ticks = hentTicksXaxis(startOgSlutt.startTid, startOgSlutt.sluttTid);
        expect(JSON.stringify(ticks)).toEqual(JSON.stringify(forventetTicks));
        expect(dayjs(ticks[1]).diff(dayjs(ticks[0]), "minute")).toEqual(1);
    });
});
