import styled from "styled-components";

export const LegendContainer = styled.span`
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    background-color: white;
    margin: 10px 10px -40px 10px;
    justify-content: center;
    position: relative;
    z-index: 6000;
`;

export const LegendItem = styled.p<{ $color: string; $visible: boolean }>`
    display: flex;
    margin: 0 10px;
    color: ${(props) => (props.$visible ? props.$color : `var(--gray-regular-dark)`)};

    &:before {
        content: "";
        height: 18px;
        width: 18px;
        margin-bottom: 15px;
        border: 1px solid black;
        background-color: ${(props) => (props.$visible ? props.$color : "white")};
        margin-right: 10px;
    }
`;
export const ColumnWrapperValg = styled.div`
    display: flex;
    flex-direction: column;
    gap: 10px;
`;
export const Skillelinje = styled.div`
    border-right: 2px solid var(--gray-regular-dark);
`;
