import { Panel } from "../components/fellesKomponenter/Panel";
import { Strek } from "../components/fellesKomponenter/Strek";
import styled from "styled-components";
import React from "react";
import { Lenke } from "../components/fellesKomponenter/lenker/Lenke";
import { Tekst } from "../components/fellesKomponenter/typografi/Tekst";
import { breakpointNettbrett } from "../utils/constants";

export const OmKos = React.forwardRef((props, ref) => (
    <Panel tittel="Litt om Team Sigma (tidligere KOS)">
        <ContentWrapper>
            <section>
                <Tekst>
                    Team KOS har blitt til team Sigma! Teamet er fortsatt i produktområdet{" "}
                    <Lenke
                        href={
                            "https://intranett.vegvesen.no/fag/etatsfelles/loft/forutsigbar-fremkommelighet-produktomrade-fremkommelig-vei/"
                        }
                    >
                        Fremkommelig vei
                    </Lenke>
                    , men jobber nå primært med å beregne hvor mye veiarbeid påvirker trafikant.
                </Tekst>
                <Tekst>
                    Teamet forvalter vinterdriftskartet og driftsportalen og du når oss fortsatt på{" "}
                    <Lenke href="mailto:kos@vegvesen.no">kos@vegvesen.no</Lenke>. Send oss gjerne
                    lenker til portalen eller si fra om feil eller mangler med vinterdriftskartet.
                </Tekst>
                <Strek />
                <Tekst>
                    Hilsen Torjus, Fabian, Frikk og Kristina (utviklere), Siri (designer), Johan
                    (produkteier) og Hege (teamleder).
                </Tekst>
            </section>
            <img src="./team_sigma_jan25.png" alt="Team-Sigma" width="100%" loading={"lazy"} />
        </ContentWrapper>
    </Panel>
));

OmKos.displayName = "OmSigma";

const ContentWrapper = styled.div`
    padding: 0 1.5rem 1.5rem 1.5rem;

    @media (min-width: ${breakpointNettbrett}) {
        padding: 0;
        display: flex;
        flex-direction: row;
        gap: 2rem;
        justify-content: space-evenly;
        section {
            width: 60%;
        }

        img {
            margin-top: 1rem;
            height: 40%;
            width: 40%;
        }
    }
`;
