import styled from "styled-components";
import Link from "next/link";
import React from "react";
import { Kortlenke } from "./Kortlenke";
import { Heading } from "../../components/fellesKomponenter/typografi/Heading";

interface SnarveiProps {
    lenke: string;
    tekst: string;
    ikonPath: string;
    loggKlikk: () => void;
}

export const InterntLenkeKort = ({ lenke, tekst, ikonPath, loggKlikk }: SnarveiProps) => (
    <StyledLi onClick={loggKlikk}>
        <Link href={lenke} passHref legacyBehavior>
            <InternKortlenke href={lenke}>
                <Ikon $path={ikonPath} />
                <Heading as="h2" $stylelevel="4">
                    {tekst}
                </Heading>
            </InternKortlenke>
        </Link>
    </StyledLi>
);

const StyledLi = styled.li`
    box-sizing: border-box;
    min-width: 17.5rem;
    width: max-content;
`;

const InternKortlenke = styled(Kortlenke)`
    flex-direction: row;
    gap: 16px;
    padding: 24px 24px;

    &:focus {
        padding: 22px 22px 24px 22px;
    }

    h2 {
        width: max-content;
    }
`;

interface IkonProps {
    $path: string;
}

const Ikon = styled.i<IkonProps>`
    background: url(${(props) => props.$path}) no-repeat;
    width: 38px;
    height: 26px;
    display: block;
`;
