import styled from "styled-components";
import { Tekst } from "../components/fellesKomponenter/typografi/Tekst";
import { FriksjonsFargekode } from "./friksjonskartUtils";

export const FriksjonskartLegend = () => (
    <Wrapper>
        <HeaderStyled $størrelse={"S"} $bold={true}>
            Friksjon
        </HeaderStyled>

        <IntervallWrapper>
            <Fargestrek $farge={FriksjonsFargekode.RØD} />
            <IntervallTekst $størrelse="S">{"Mindre enn 0.2µ"}</IntervallTekst>
        </IntervallWrapper>
        <IntervallWrapper>
            <Fargestrek $farge={FriksjonsFargekode.ORANSJE} />
            <IntervallTekst $størrelse="S">{"0.2µ - 0.25µ"}</IntervallTekst>
        </IntervallWrapper>
        <IntervallWrapper>
            <Fargestrek $farge={FriksjonsFargekode.GUL} />
            <IntervallTekst $størrelse="S">{"0.25µ - 0.3µ"}</IntervallTekst>
        </IntervallWrapper>
        <IntervallWrapper>
            <Fargestrek $farge={FriksjonsFargekode.GRØNN} />
            <IntervallTekst $størrelse="S">{"Over 0.3µ"}</IntervallTekst>
        </IntervallWrapper>
    </Wrapper>
);

const Wrapper = styled.div`
    background-color: var(--white);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.25);
    padding: 1rem;
    width: max-content;
    position: absolute;
    z-index: 1000;
    right: 8px;
    top: 8px;
    display: flex;
    flex-direction: column;
    cursor: auto;
`;

const HeaderStyled = styled(Tekst)`
    margin-top: 0;
    margin-bottom: 0.5rem;
`;

const IntervallWrapper = styled.div`
    display: flex;
`;

const Fargestrek = styled.i<{ $farge: string }>`
    background-color: ${({ $farge }) => $farge};
    display: block;
    width: 1rem;
    height: 3px;
    margin-top: auto;
    margin-bottom: auto;
`;

const IntervallTekst = styled(Tekst)`
    margin: 0 0 0 0.5rem;
    font-weight: 300;
`;
