import { FriksjonsmålingMetadata } from "./friksjonsmålingTyper";
import { Opplysning, VisSkjulKnapp } from "../øktdetaljerSide/metadata/Metadata";
import { useState } from "react";
import { tilNorskTimestamp } from "../utils/tid";
import { StyledTable, StyledTableRow, StyledTd, StyledTh } from "./FriksjonsmålingTabell";

export interface friksjonsmålingMetadataPanelProps {
    friksjonsdataMetadata?: FriksjonsmålingMetadata;
}

export const FriksjonsmålingMetadataPanel = ({
    friksjonsdataMetadata,
}: friksjonsmålingMetadataPanelProps) => {
    const [seAllMetadata, setSeAllMetadata] = useState<boolean>(false);

    if (!friksjonsdataMetadata) {
        return;
    }
    return (
        <>
            <StyledTable>
                <thead>
                    <StyledTableRow>
                        <StyledTh>Data</StyledTh>
                        <StyledTh>Verdi</StyledTh>
                    </StyledTableRow>
                </thead>
                <tbody>
                    <StyledTableRow>
                        <StyledTd>Dato</StyledTd>
                        <StyledTd>
                            {friksjonsdataMetadata?.dato &&
                                tilNorskTimestamp(friksjonsdataMetadata.dato)}
                        </StyledTd>
                    </StyledTableRow>
                    <StyledTableRow>
                        <StyledTd>Operatør</StyledTd>
                        <StyledTd>{friksjonsdataMetadata?.operatør}</StyledTd>
                    </StyledTableRow>
                    <StyledTableRow>
                        <StyledTd>Veg</StyledTd>
                        <StyledTd>{friksjonsdataMetadata?.veg}</StyledTd>
                    </StyledTableRow>
                    <StyledTableRow>
                        <StyledTd>Retning</StyledTd>
                        <StyledTd>{friksjonsdataMetadata?.retning}</StyledTd>
                    </StyledTableRow>
                    <StyledTableRow>
                        <StyledTd>Spor</StyledTd>
                        <StyledTd>{friksjonsdataMetadata?.spor}</StyledTd>
                    </StyledTableRow>
                    {seAllMetadata && (
                        <>
                            <StyledTableRow>
                                <StyledTd>ViaFriction</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.viaFriction}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Filnavn</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.filnavn}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Programvareversjon</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.programvareversjon}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Sted</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.sted}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Vær</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.vær}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Målingskommentar</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.målingskommentarer}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Utstyr</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.utstyr}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Vegnettsversjon</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.vegnettsversjon}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Fylke</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.fylke}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Fil</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.fil}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Start</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.start}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Stopp</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.stopp}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Type</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.type}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Overvåkingsgrense</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.overvåkingsgrense}</StyledTd>
                            </StyledTableRow>
                            <StyledTableRow>
                                <StyledTd>Utkjørt distanse</StyledTd>
                                <StyledTd>{friksjonsdataMetadata?.utkjørtDistanse} meter</StyledTd>
                            </StyledTableRow>
                        </>
                    )}
                </tbody>
            </StyledTable>

            <VisSkjulKnapp onClick={() => setSeAllMetadata(!seAllMetadata)}>
                <Opplysning>{seAllMetadata ? "Skjul" : "Se alt"}</Opplysning>
            </VisSkjulKnapp>
        </>
    );
};
