import { Dayjs } from "dayjs";

export type Friksjonsdata = {
    metadata: FriksjonsmålingMetadata;
    friksjonsmålinger: Friksjonsmåling[];
};

export type Friksjonsmåling = {
    dato: Dayjs;
    tid: number;
    uM?: number;
    uI?: number;
    uY?: number;
    lat: number;
    lng: number;
    vegsystemreferanse: string;
    usikker: string;
    omT?: number;
    ovT?: number;
};

export type FriksjonsmålingMetadata = {
    id: number;
    datoLastetOpp: Dayjs;
    lastetOppAv: string;
    dato: Dayjs;
    viaFriction: string;
    filnavn: string;
    programvareversjon: string;
    sted: string;
    operatør: string;
    vær?: string;
    målingskommentarer?: string;
    spor: string;
    utstyr: string;
    vegnettsversjon?: string;
    fylke: string;
    veg: string;
    retning: string;
    fil?: number;
    start: string;
    type: string;
    overvåkingsgrense?: number;
    stopp: string;
    utkjørtDistanse: number;
};
