import { Friksjonsmåling } from "../friksjonsmålingTyper";
import { lagArrayMedInkrementer } from "../../components/grafer/fellesGrafUtils";
import { GrafKategori } from "../../øktdetaljerSide/jotai/atoms";

export const hentTicksYaxisTemperatur = (grafdata: Friksjonsmåling[]) => {
    const overflate: number[] = grafdata.reduce((acc: number[], måling) => {
        måling.ovT !== undefined && acc.push(måling.ovT);
        return acc;
    }, []);
    const område: number[] = grafdata.reduce((acc: number[], måling) => {
        måling.omT !== undefined && acc.push(måling.omT);
        return acc;
    }, []);
    const maksMåltTemperatur = Math.max(...overflate, ...område) + 5;
    const minMåltTemperatur = Math.min(...overflate, ...område) - 5;
    const possibleTicksYaxis = lagArrayMedInkrementer(20, 2, Math.round(minMåltTemperatur));
    return possibleTicksYaxis.filter((tick) => tick <= maksMåltTemperatur);
};

export const hentTicksYaxisFriksjon = (grafdata: Friksjonsmåling[]) => {
    const allFriksjon: number[] = grafdata
        .flatMap((måling) => [måling.uM, måling.uY, måling.uI])
        .filter((friksjon) => friksjon !== undefined) as number[];
    const maksMåltFriksjon = Math.min(Math.max(...allFriksjon) + 0.2, 1);
    const possibleTicksYaxis = lagArrayMedInkrementer(20, 1).map((tick) => tick / 10);
    return possibleTicksYaxis.filter((tick) => tick <= maksMåltFriksjon);
};

export const hentReferanserForFriksjon = () => {
    return [
        { tittel: "Friksjon (0.2 µ)", verdi: 0.2, grafKategori: GrafKategori.friksjon },
        { tittel: "Friksjon (0.25 µ)", verdi: 0.25, grafKategori: GrafKategori.friksjon },
        { tittel: "Friksjon (0.3 µ)", verdi: 0.3, grafKategori: GrafKategori.friksjon },
    ];
};
