import { RowWrapper } from "../../components/fellesKomponenter/wrappers/wrappers";
import { SorteringsPil } from "../../kartSide/popup/veglenke/ProduksjonsdetaljerTabell/ProduksjonsdetaljerHeader/SorteringsPil";
import React from "react";
import { FriksjonsmetadataSorteringskolonne } from "./Friksjonsmetadatatabell";
import styled from "styled-components";

interface FriksjonsmetadatatabellThProps {
    håndterSortering: (sorteringskolonne: FriksjonsmetadataSorteringskolonne) => void;
    finnSorteringsretning: (
        sorteringskolonne: FriksjonsmetadataSorteringskolonne,
    ) => boolean | undefined;
    sorteringskolonne: FriksjonsmetadataSorteringskolonne;
    tekst: string;
}
export const FriksjonsmetadatatabellTh = ({
    håndterSortering,
    finnSorteringsretning,
    sorteringskolonne,
    tekst,
}: FriksjonsmetadatatabellThProps) => (
    <StyledTh onClick={() => håndterSortering(sorteringskolonne)}>
        <RowWrapper>
            {tekst}
            <SorteringsPil stigendeSortering={finnSorteringsretning(sorteringskolonne)} />
        </RowWrapper>
    </StyledTh>
);

const StyledTh = styled.th`
    border-bottom: 2px solid var(--orange);
    text-align: left;
    padding: 8px;
    cursor: pointer;
`;
