import { KnappUtenStyling } from "../../components/fellesKomponenter/knapper/KnappUtenStyling";
import React from "react";
import styled, { css } from "styled-components";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";

interface FriksjonsmetadatatabellPagineringProps {
    pagineringsSide: number;
    sistePagineringSide: number;
    oppdaterFriksjonsmetadataForVisning: (side: number) => void;
}
export const FriksjonsmetadatatabellPaginering = ({
    pagineringsSide,
    sistePagineringSide,
    oppdaterFriksjonsmetadataForVisning,
}: FriksjonsmetadatatabellPagineringProps) => (
    <PagineringContainer>
        <KnappUtenStyling
            onClick={() => oppdaterFriksjonsmetadataForVisning(pagineringsSide - 1)}
            disabled={pagineringsSide === 0}
        >
            <PagineringTekst $nomargin={true} disabled={pagineringsSide === 0}>
                Forrige
            </PagineringTekst>
        </KnappUtenStyling>
        {[...Array(sistePagineringSide)].map((_x, i) => (
            <KnappUtenStyling onClick={() => oppdaterFriksjonsmetadataForVisning(i)} key={i}>
                <PagineringTekst $nomargin={true} $valgt={i === pagineringsSide}>
                    {i + 1}
                </PagineringTekst>
            </KnappUtenStyling>
        ))}
        <KnappUtenStyling
            onClick={() => oppdaterFriksjonsmetadataForVisning(pagineringsSide + 1)}
            disabled={pagineringsSide === sistePagineringSide}
        >
            <PagineringTekst $nomargin={true} disabled={pagineringsSide === sistePagineringSide}>
                Neste
            </PagineringTekst>
        </KnappUtenStyling>
    </PagineringContainer>
);

interface PagineringTekstProps {
    $valgt?: boolean;
    disabled?: boolean;
}

const PagineringTekst = styled(Tekst)<PagineringTekstProps>`
    margin: 0 10px;
    ${(props) =>
        props.$valgt &&
        css`
            border-bottom: 2px solid var(--orange);
        `};
    ${(props) => props.disabled && "color: var(--grey-regular);"};
`;

const PagineringContainer = styled.div`
    display: flex;
    justify-content: center;
    margin-top: 20px;
`;
