import { FriksjonsmålingMetadata } from "../friksjonsmålingTyper";
import { FriksjonsmetadataSorteringskolonne } from "./Friksjonsmetadatatabell";

const friksjonsmetadataSammenlikner = (
    a: FriksjonsmålingMetadata,
    b: FriksjonsmålingMetadata,
    sorterEtter: FriksjonsmetadataSorteringskolonne,
) => {
    if (sorterEtter === FriksjonsmetadataSorteringskolonne.dato) {
        return b.dato.diff(a.dato);
    }
    return a[sorterEtter] > b[sorterEtter] ? 1 : a[sorterEtter] < b[sorterEtter] ? -1 : 0;
};

export const sorterFriksjonsmetadata = (
    sorteringskolonne: FriksjonsmetadataSorteringskolonne,
    sorteringsRetning: boolean,
    friksjonsmetadata?: FriksjonsmålingMetadata[],
) =>
    friksjonsmetadata
        ? sorteringsRetning
            ? friksjonsmetadata.sort((a, b) =>
                  friksjonsmetadataSammenlikner(a, b, sorteringskolonne),
              )
            : friksjonsmetadata.sort((a, b) =>
                  friksjonsmetadataSammenlikner(b, a, sorteringskolonne),
              )
        : [];
