import React from "react";
import { FormLabel } from "../../components/fellesKomponenter/inputfelt/FormLabel";
import { Inputfelt } from "../../components/fellesKomponenter/inputfelt/Inputfelt";
import { ColumnWrapper, RowWrapper } from "../../components/fellesKomponenter/wrappers/wrappers";
import styled from "styled-components";
import { StørrelseType } from "../../kartSide/kartParameterVelger/DataInput";

interface DataInputProps {
    onchange: (data: string) => void;
    tittel: string;
    størrelse?: StørrelseType;
    verdi?: string;
}

export const LiveDataInput = ({ onchange, tittel, størrelse, verdi }: DataInputProps) => {
    return (
        <ColumnWrapper>
            <FormLabel htmlFor={tittel}>{tittel}</FormLabel>

            <StyledRowWrapper>
                <StyledForm>
                    <Inputfelt
                        type="text"
                        id={tittel}
                        $størrelse={størrelse ? størrelse : "S"}
                        onChange={(e) => onchange(e.target.value)}
                    />
                </StyledForm>
            </StyledRowWrapper>
        </ColumnWrapper>
    );
};

const StyledRowWrapper = styled(RowWrapper)`
    gap: 0.5rem;
    align-items: flex-start;
`;

const StyledForm = styled.form`
    gap: 0.5rem;
    align-items: flex-start;
    max-width: max-content;
    display: flex;
    flex-direction: row;
    flex-shrink: 0;
`;

export const IkonWrapper = styled.div`
    align-self: flex-start;
    margin: 0 0 5px 0;
`;

export const ErrorMelding = styled.p`
    color: var(--gray-dark);
    margin: 0 0 0 0;
    position: relative;
    background-color: var(--red-bg);
    padding: 2px;
`;
