import { MutableRefObject, useEffect } from "react";
import * as L from "leaflet";

export const useDisableScrollAndClick = (ref: MutableRefObject<null>) => {
    useEffect(() => {
        if (ref.current) {
            L.DomEvent.disableScrollPropagation(ref.current);
            L.DomEvent.disableClickPropagation(ref.current);
        }
    }, [ref]);
};
