import React, { useState } from "react";

export const useKnappTrykk = function (aktivKnapp: String) {
    const [knappTrykket, setKnappTrykket] = useState(false);

    React.useEffect(() => {
        const håndterKnappNed = ({ key }: { key: string }) => {
            if (key === aktivKnapp) {
                setKnappTrykket(true);
            }
        };

        const håndterKnappOpp = ({ key }: { key: string }) => {
            if (key === aktivKnapp) {
                setKnappTrykket(false);
            }
        };

        window.addEventListener("keydown", håndterKnappNed);
        window.addEventListener("keyup", håndterKnappOpp);

        return () => {
            window.removeEventListener("keydown", håndterKnappNed);
            window.removeEventListener("keyup", håndterKnappOpp);
        };
    }, [aktivKnapp]);

    return knappTrykket;
};
