import { useEffect } from "react";
import { hentKartUrlParam } from "../kartSide/utils/kartUrlUtils";
import { erSammeMinutt } from "../utils/tid";
import dayjs from "dayjs";
import { tidspunktAtom } from "../api/context/kontraktAtoms";
import { useSetAtom } from "jotai";

export const useRedirectTilNåTidspunktPåReload = () => {
    const setTidspunkt = useSetAtom(tidspunktAtom);

    //performanceEntry.type eksisterer ikke i typescript, men finnes i alle moderne nettlesere
    //https://developer.mozilla.org/en-US/docs/Web/API/PerformanceNavigationTiming/type
    const erReload = () =>
        // @ts-ignore
        performance.getEntriesByType("navigation").some((entry) => entry.type === "reload");

    useEffect(() => {
        const urlTidspunkt = hentKartUrlParam()?.timestamp;
        if (erReload() && urlTidspunkt !== undefined && !erSammeMinutt(urlTidspunkt)) {
            setTidspunkt(dayjs());
        }
    }, []);
};
