import { useEffect } from "react";
import {
    informasjonsmeldinger,
    informasjonsmeldingMedTimeoutAtom,
} from "../kartSide/jotai/InformasjonsmeldingAtom";
import { erKontraktGyldig } from "../api/context/kartdataHelpers";
import { useAtomValue, useSetAtom } from "jotai";
import { aktivKontraktAtom, tidspunktAtom } from "../api/context/kontraktAtoms";
import { produksjonslenkerAtom } from "../api/context/apiAtoms";

export const useTomProduksjonsvarsel = () => {
    const produksjonslenker = useAtomValue(produksjonslenkerAtom);
    const tidspunkt = useAtomValue(tidspunktAtom);
    const aktivKontrakt = useAtomValue(aktivKontraktAtom);
    const setInformasjonsmelding = useSetAtom(informasjonsmeldingMedTimeoutAtom);

    useEffect(() => {
        if (!erKontraktGyldig(aktivKontrakt, tidspunkt)) {
            setInformasjonsmelding(informasjonsmeldinger.kontraktIkkeGyldig, 30000);
        } else if (produksjonslenker?.suksess && produksjonslenker?.data?.length === 0) {
            setInformasjonsmelding(informasjonsmeldinger.ingenProddataForValgteTimer, 30000);
        }
    }, [produksjonslenker]);
};
