import { useLayoutEffect, useState } from "react";

export const useWindowSize = () => {
    const [size, setSize] = useState([0, 0]);
    useLayoutEffect(() => {
        const updateSize = () => {
            setSize([window.innerWidth, window.innerHeight]);
        };

        window.addEventListener("resize", updateSize);
        window.addEventListener("orientationchange", updateSize);
        updateSize();

        return () => {
            window.removeEventListener("resize", updateSize);
            window.removeEventListener("orientationchange", updateSize);
        };
    }, []);
    return { windowWidth: size[0], windowHeight: size[1] };
};
