import { FitBoundsOptions, LatLngBoundsExpression } from "leaflet";
import { useEffect, useState } from "react";
import { useMap } from "react-leaflet";

interface ChangeViewProps {
    kartBounds?: LatLngBoundsExpression;
    medPadding?: boolean;
}

export const ChangeView = ({ kartBounds, medPadding = false }: ChangeViewProps) => {
    const [forggieKartBounds, settForggieKartBounds] = useState<
        LatLngBoundsExpression | undefined
    >();
    const map = useMap();

    useEffect(() => {
        const fitBoundsOptions = medPadding
            ? ({ padding: [40, 40] } as FitBoundsOptions)
            : undefined;
        if (kartBounds !== forggieKartBounds && typeof kartBounds !== "undefined") {
            settForggieKartBounds(kartBounds);
            map.fitBounds(kartBounds, fitBoundsOptions);
        }
    }, [kartBounds, medPadding, forggieKartBounds, map]);
    return null;
};
