import { FeatureCollection } from "geojson";
import { Proj4GeoJSONFeature } from "proj4leaflet";
import { RodeDto } from "../../../api/useHentRoder";

export const mapRoderTilKartdata = (rode: RodeDto[]): FeatureCollection =>
    ({
        type: "FeatureCollection",
        features: tilRodeGeojsonFeatures(rode),
    }) as FeatureCollection;

const tilRodeGeojsonFeatures = (prodData: RodeDto[]): Proj4GeoJSONFeature[] =>
    prodData.map((rode: RodeDto, index) => {
        return {
            type: "Feature",
            properties: { ...rode, color: rodeColors[index % rodeColors.length] },
            geometry: rode.detaljer.geometri,
            id: rode.rodeId,
        };
    });

export const tilAktivRodeGeojsonFeatures = (rode: RodeDto): Proj4GeoJSONFeature => ({
    type: "Feature",
    properties: { rode },
    geometry: rode.detaljer.geometri,
    id: rode.rodeId,
});

const rodeColors = [
    "#88CCEE",
    "#CC6677",
    "#DDCC77",
    "#117733",
    "#332288",
    "#AA4499",
    "#44AA99",
    "#999933",
    "#882255",
    "#661100",
    "#6699CC",
];
