import React from "react";
import Lottie from "react-lottie-player";
import animasjon from "./broytebil.json";
import styled from "styled-components";

export default function BrøytebilAnimasjon() {
    return (
        <Sirkel>
            <Lottie
                loop
                animationData={animasjon}
                play
                style={{ width: 150, height: 150, paddingBottom: 10 }}
            />
        </Sirkel>
    );
}

const Sirkel = styled.div`
    width: 180px;
    height: 180px;
    background: var(--traffic-sign-gray);
    border-radius: 90px;
    display: flex;
    justify-content: center;
    align-items: center;
`;
