import React, { useEffect } from "react";
import styled from "styled-components";
import BrøytebilAnimasjon from "./BrøytebilAnimasjon";
import captions from "./captions.json";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { useAtom } from "jotai";
import { atom } from "jotai/index";

export const tekstIndeksAtom = atom(0);
export default function BrøytebilSpinner() {
    const [tekstIndeks, setTekstIndex] = useAtom(tekstIndeksAtom);

    useEffect(() => {
        const interval = setInterval(() => {
            const number = Math.floor(Math.random() * captions.length);
            setTekstIndex(number);
        }, 3000);
        return () => clearInterval(interval);
    }, []);

    return (
        <Container data-testid="brøytebilspinner">
            <BrøytebilAnimasjon aria-label="Brøytebilspinner" />
            <Tekst>{captions[tekstIndeks]}...</Tekst>
        </Container>
    );
}

const Container = styled.div`
    width: 300px;
    height: 300px;
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: auto;
`;
