import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Heading } from "../../components/fellesKomponenter/typografi/Heading";
import React from "react";
import styled from "styled-components";

interface KartvisningFeilProps {
    feilmeldinger: string[];
}

export const KartvisningFeil = ({ feilmeldinger }: KartvisningFeilProps) => (
    <Container>
        <Heading as="h2" $stylelevel="2">
            Kunne ikke vise kart på grunn av feil:
        </Heading>
        <ul>
            {feilmeldinger.map((melding, index) => (
                <li key={index}>
                    <Tekst>{melding}</Tekst>
                </li>
            ))}
        </ul>
    </Container>
);

const Container = styled.div`
    margin: 2rem;
`;
