import React, { useState } from "react";
import { ProduksjonsdataFilterVelger } from "./ProduksjonsdataFilterVelger";
import { FormLabel } from "../../../components/fellesKomponenter/inputfelt/FormLabel";
import styled from "styled-components";
import { ColumnWrapper, RowWrapper } from "../../../components/fellesKomponenter/wrappers/wrappers";
import { Trekkspill } from "../../../components/fellesKomponenter/trekkspill/Trekkspill";
import { HjelpetekstPopup } from "../../../components/fellesKomponenter/HjelpetekstPopup";
import tekster from "../../../tekster.json";
import { IkonWrapper } from "../../../components/fellesKomponenter/inputfelt/Datofelt";
import { erDefaultFiltreValgtAtom } from "../../../api/context/ProduksjonsfilterAtoms";
import { useAtomValue } from "jotai";
import { InfoknappLoggEvent } from "../../../utils/loggFrontend";

export const ProduksjonsdataFilter = () => {
    const [åpen, settÅpen] = useState(false);
    const defaultFiltreValgt = useAtomValue(erDefaultFiltreValgtAtom);

    return (
        <Container>
            <ColumnWrapper>
                <StyledRowWrapper>
                    <FormLabel htmlFor={"filter"}>Velg produksjonstyper</FormLabel>
                    <IkonWrapper>
                        <HjelpetekstPopup
                            plassering={"right center"}
                            størrelse={"S"}
                            infoknappLoggEvent={InfoknappLoggEvent.produksjonstyperInfoknapp}
                        >
                            {tekster.velgProduksjonstype}
                        </HjelpetekstPopup>
                    </IkonWrapper>
                </StyledRowWrapper>
                <Trekkspill
                    åpen={åpen}
                    onClick={() => settÅpen(!åpen)}
                    type={"Ramme"}
                    tittel={defaultFiltreValgt ? "Viser alt" : "Viser valgte"}
                    makshøyde={"none"}
                    position={"imbedded"}
                    width={"260px"}
                >
                    <ProduksjonsdataFilterVelger åpen={åpen} />
                </Trekkspill>
            </ColumnWrapper>
        </Container>
    );
};

const Container = styled.div`
    align-items: flex-end;
    display: flex;
    max-width: max-content;
`;

const StyledRowWrapper = styled(RowWrapper)`
    gap: 0.5rem;
    align-items: flex-start;
`;
