import { Filter, Filterkategori, Filtertype } from "../../../api/context/ProduksjonsfilterAtoms";

export const defaultTestFilters = [
    {
        navn: "Plog nede",
        type: Filtertype.PlogNede,
        kategori: Filterkategori.Brøyting,
        valgt: true,
    },
    {
        navn: "Sideplog",
        type: Filtertype.Sideplog,
        kategori: Filterkategori.Brøyting,
        valgt: true,
    },
    {
        navn: "Underliggende skjær",
        type: Filtertype.UnderliggendeSkjær,
        kategori: Filterkategori.Høvling,
        valgt: true,
    },
    {
        navn: "Tung høvel",
        type: Filtertype.TungHøvel,
        kategori: Filterkategori.Høvling,
        valgt: true,
    },
    {
        navn: "Tørrsand",
        type: Filtertype.Tørrsand,
        kategori: Filterkategori.Sand,
        valgt: true,
    },
    {
        navn: "Fastsand",
        type: Filtertype.Fastsand,
        kategori: Filterkategori.Sand,
        valgt: true,
    },
    {
        navn: "Sand med saltinnblanding",
        type: Filtertype.SandMedSaltInnblanding,
        kategori: Filterkategori.Sand,
        valgt: true,
    },
    {
        navn: "Tørrsalt",
        type: Filtertype.Tørrsalt,
        kategori: Filterkategori.Salt,
        valgt: true,
    },
    {
        navn: "Befuktet salt",
        type: Filtertype.BefuktetSalt,
        kategori: Filterkategori.Salt,
        valgt: true,
    },
    {
        navn: "Saltslurry",
        type: Filtertype.BefuktetFinkornetSalt,
        kategori: Filterkategori.Salt,
        valgt: true,
    },
    {
        navn: "Saltløsning",
        type: Filtertype.Saltløsning,
        kategori: Filterkategori.Salt,
        valgt: true,
    },
    {
        navn: "Magnesiumklorid",
        type: Filtertype.Magnesiumklorid,
        kategori: Filterkategori.Salt,
        valgt: true,
    },
    {
        navn: "Ingen produksjon",
        type: Filtertype.IngenProduksjon,
        kategori: Filterkategori.IngenProduksjon,
        valgt: false,
    },
];

export const setTestFiltre = (skalMed: Filtertype[], skalIkkeMed: Filtertype[]) => {
    let filters = defaultTestFilters;
    filters = setTestFilter(filters, skalIkkeMed, false);
    filters = setTestFilter(filters, skalMed, true);
    return filters;
};
const setTestFilter = (
    oldFilters: Filter[],
    filtertyper: Filtertype[],
    valgt: boolean,
): Filter[] => {
    return oldFilters.map((f) => {
        if (filtertyper.includes(f.type)) {
            return { ...f, valgt: valgt };
        } else {
            return f;
        }
    });
};
