import { atom, WritableAtom } from "jotai/index";
import { setLocalstorageDataMedGyldigDatoType } from "../../utils/storage/typer";
import { atomWithStorage } from "jotai/utils";
import { isoDatoErIDag } from "../../utils/tid";

export const atomMedStorageIDag = <T>(key: string, initialValue: T): WritableAtom<T, T[], void> => {
    const dataMedGyldigDato = setLocalstorageDataMedGyldigDatoType(initialValue);
    const dataMedGyldigDatoAtom = atomWithStorage(key, dataMedGyldigDato);

    return atom(
        (get) => {
            const fraStorage = get(dataMedGyldigDatoAtom);
            return isoDatoErIDag(fraStorage.gyldigDato) ? fraStorage.data : initialValue;
        },
        (get, set, nextValue: T) => {
            set(dataMedGyldigDatoAtom, setLocalstorageDataMedGyldigDatoType(nextValue));
        },
    );
};
