import { atom } from "jotai";
import { atomWithStorage } from "jotai/utils";
import { LocalStorageKey } from "../../utils/storage/nøkler";
import { atomMedStorageIDag } from "./atomMedStorageIDag";
import { PopupType } from "../Kartvisning/KartvisningGenerell";
import { Proj4GeoJSONFeature } from "proj4leaflet";
import { RodeDto } from "../../api/useHentRoder";

export const menyÅpenAtom = atom(true);
export const visKartintroAtom = atom(false);
export const visProduksjonAtom = atom(true);
export const visRoderAtom = atomMedStorageIDag(LocalStorageKey.LOCALSTORAGE_KART_VIS_RODER, false);

export const visDarkModeAtom = atomWithStorage(
    LocalStorageKey.LOCALSTORAGE_KART_VIS_DARKMODE,
    false,
);
export const visTrafikkmeldingerAtom = atomWithStorage(
    LocalStorageKey.LOCALSTORAGE_KART_VIS_TRAFIKKMELDINGER,
    false,
);

export const visKameraerAtom = atomMedStorageIDag(
    LocalStorageKey.LOCALSTORAGE_KART_VIS_KAMERAER,
    true,
);

export const visBrøytebilerAtom = atomMedStorageIDag(
    LocalStorageKey.LOCALSTORAGE_KART_VIS_KJØRETØY,
    true,
);

export const visLegendAtom = atomMedStorageIDag(LocalStorageKey.LOCALSTORAGE_KART_VIS_LEGEND, true);

export const popupInfoAtom = atom<PopupType | undefined>(undefined);

export const aktivVeglenkeFeatureAtom = atom<Proj4GeoJSONFeature | undefined>(undefined);
export const aktivRodeFeatureAtom = atom<Proj4GeoJSONFeature | undefined>(undefined);
export const selektertRodeFraListeAtom = atom<RodeDto | undefined>(undefined);

export const resetKartFeaturesAtom = atom(null, (get, set) => {
    set(popupInfoAtom, undefined);
    set(aktivVeglenkeFeatureAtom, undefined);
    set(aktivRodeFeatureAtom, undefined);
    set(selektertRodeFraListeAtom, undefined);
});
