import { atom, WritableAtom } from "jotai/index";
import { ProduksjonsdetaljerKolonne } from "../popup/veglenke/kolonneVelger/ProduksjonsdetaljerKolonneVelger";
import { atomWithStorage } from "jotai/utils";
import { LocalStorageKey } from "../../utils/storage/nøkler";
import { defaultAktiveKolonner } from "../popup/veglenke/kolonneVelger/defaults";
import { erAktiveKolonnerGyldige } from "../popup/veglenke/VeglenkeDetaljerUtils";

export const valgteKolonnerAtom = atomMedKolonneValidering();
function atomMedKolonneValidering(): WritableAtom<
    ProduksjonsdetaljerKolonne[],
    [ProduksjonsdetaljerKolonne[]],
    void
> {
    const valgteKolonner = atomWithStorage<ProduksjonsdetaljerKolonne[]>(
        LocalStorageKey.LOCALSTORAGE_AKTIVE_KOLLONER,
        defaultAktiveKolonner,
    );

    return atom(
        (get) => {
            const fraStorage = get(valgteKolonner);
            return erAktiveKolonnerGyldige(fraStorage) ? fraStorage : defaultAktiveKolonner;
        },
        (get, set, nextValue: ProduksjonsdetaljerKolonne[]) => {
            const fraStorage = get(valgteKolonner);
            set(
                valgteKolonner,
                erAktiveKolonnerGyldige(fraStorage) ? fraStorage : defaultAktiveKolonner,
            );
            set(valgteKolonner, nextValue);
        },
    );
}
