import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Checkbox } from "../../components/fellesKomponenter/checkboxer/Checkbox";
import React from "react";
import styled from "styled-components";
import { useAtom } from "jotai";
import { visProduksjonAtom, visRoderAtom } from "../jotai/karvalgAtoms";
import { loggEventMedTabellnavnOgVerdi, TabellNavn, VisIKartEvent } from "../../utils/loggFrontend";

export const KartvisningsValg = () => {
    const [visRoder, settVisRoder] = useAtom(visRoderAtom);
    const [visProduksjon, settVisProduksjon] = useAtom(visProduksjonAtom);

    return (
        <Wrapper>
            <Tekst $størrelse={"M"} $nomargin={true} $bold={true}>
                Vis i kart
            </Tekst>
            <CheckboxWrapper>
                <Checkbox
                    key={"produksjon"}
                    onChange={() => {
                        loggEventMedTabellnavnOgVerdi(
                            TabellNavn.kartlagTrykk,
                            VisIKartEvent.produksjon,
                            !visProduksjon ? "På" : "Av",
                        );
                        settVisProduksjon(!visProduksjon);
                    }}
                    checked={visProduksjon}
                    value={"produksjon"}
                    størrelse={"L"}
                    tekstStørrelse={"M"}
                >
                    Produksjon
                </Checkbox>
                <Checkbox
                    key={"rode"}
                    onChange={() => {
                        loggEventMedTabellnavnOgVerdi(
                            TabellNavn.kartlagTrykk,
                            VisIKartEvent.roder,
                            !visRoder ? "På" : "Av",
                        );
                        settVisRoder(!visRoder);
                    }}
                    checked={visRoder}
                    value={"rode"}
                    størrelse={"L"}
                    tekstStørrelse={"M"}
                >
                    Roder
                </Checkbox>
            </CheckboxWrapper>
        </Wrapper>
    );
};

const Wrapper = styled.div`
    display: flex;
    flex-direction: column;
`;

const CheckboxWrapper = styled.div`
    display: flex;
    flex-direction: column;
    margin-top: 10px;
    gap: 10px;
`;
