import styled from "styled-components";
import React from "react";
import { Lenke } from "../../components/fellesKomponenter/lenker/Lenke";
import {
    fontsizeLargeScreen,
    fontsizeSmallScreen,
} from "../../components/fellesKomponenter/typografi/TekstStyles";
import { breakpointNettbrett } from "../../utils/constants";

export const Kontakt = () => {
    return (
        <StyledAddress>
            {"Hjelp og spørsmål: "}
            <Lenke $størrelse="M" href="mailto:kos@vegvesen.no">
                kos@vegvesen.no
            </Lenke>
        </StyledAddress>
    );
};

const StyledAddress = styled.address`
    margin: 0 0 0.5rem 1rem;
    min-width: 150px;
    font-style: normal;
    ${fontsizeLargeScreen};

    @media (max-width: ${breakpointNettbrett}) {
        ${fontsizeSmallScreen};
    }
`;
