import React from "react";
import styled from "styled-components";
import { useHentTidspunktSisteImport } from "../../api/useHentTidspunktSisteImport";
import { epochTilDatoOgTid } from "../../utils/tid";
import { breakpointNettbrett } from "../../utils/constants";

export const TidspunktSisteImport = () => {
    const tidspunktSisteImport = useHentTidspunktSisteImport();

    return (
        <>
            {tidspunktSisteImport && (
                <StyledP>{`Siste data fra Elrapp: ${
                    tidspunktSisteImport.suksess
                        ? epochTilDatoOgTid(tidspunktSisteImport.data)
                        : "Fant ikke tidspunkt"
                }`}</StyledP>
            )}
        </>
    );
};

const StyledP = styled.p`
    margin: 0;
    font-size: 15px;

    @media (max-width: ${breakpointNettbrett}) {
        font-size: 14px;
    }
`;
