import { divIcon, icon, MarkerCluster } from "leaflet";
import {
    markerHeight,
    markerHeigtHover,
    markerWidth,
    markerWidthHover,
} from "../../utils/constants";
import styles from "./Cluster.module.css";

export const harValgtMarker = (cluster: MarkerCluster) =>
    cluster
        .getAllChildMarkers()
        .some(
            (marker) =>
                marker.options.icon &&
                marker.options.icon.options.iconUrl &&
                marker.options.icon.options.iconUrl.includes("valgt"),
        );

export const normalIkon = (url: string) =>
    divIcon({
        className: styles.marker,
        html: `<img src="${url}" />`,
        iconSize: [markerWidth, markerHeight],
        iconAnchor: [markerWidth / 2, markerHeight],
    });

export const valgtIkon = (url: string) =>
    icon({
        iconUrl: url,
        iconSize: [markerWidthHover, markerHeigtHover],
        iconAnchor: [markerWidthHover / 2, markerHeigtHover],
    });
