import React, { FC, HTMLAttributes } from "react";
import styled from "styled-components";
import { Lenke } from "../../../components/fellesKomponenter/lenker/Lenke";

interface KameraknappProps extends HTMLAttributes<HTMLButtonElement> {
    href: string;
}

export const KameraLenke: FC<KameraknappProps> = ({ href }) => (
    <StyledLenke $størrelse="M" href={href} target={"_blank"} rel="noreferrer">
        <KameraknappIkon />
        Se vegkameraer
    </StyledLenke>
);

const StyledLenke = styled(Lenke)`
    width: fit-content;
`;

const KameraknappIkon = styled.i`
    display: inline-block;
    width: 24px;
    height: 16px;
    background-image: url("/ikon/vegkamera.svg");
    background-repeat: no-repeat;
    background-position: 100%;
    background-size: 24px;
    margin-right: 10px;
`;
