import styled from "styled-components";
import React from "react";

interface VærpanelProps {
    værvarsel: string;
}

export const Værpanel = ({ værvarsel }: VærpanelProps) => {
    const meteogramBildeUrl = (yrId: string) =>
        `https://www.yr.no/nb/innhold/${yrId}/meteogram.svg`;
    return <Metrogram src={meteogramBildeUrl(værvarsel.split("/")[6])} alt="Metrogram" />;
};

const Metrogram = styled.img`
    width: 100%;
    max-width: 100%;
`;
