import React from "react";
import { Værdata } from "../../../api/useHentHistoriskVærdata";

interface VærpanelPanelProps {
    værdata: Værdata | undefined;
}

export const VærtabellPanel = ({ værdata }: VærpanelPanelProps) => {
    if (!værdata) return <div>Fant ingen værdata</div>;
    return (
        <div>
            <table>
                <tbody>
                    <tr>
                        <td>Måletidspunkt</td>
                        <td>{værdata.måletidspunkt ? `${værdata.måletidspunkt}` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Lufttemp</td>
                        <td>{værdata.luftTemperatur ? `${værdata.luftTemperatur} C` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Relativ fukt</td>
                        <td>{værdata.relativFuktighet ? `${værdata.relativFuktighet} %` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Duggpunkt</td>
                        <td>
                            {værdata.duggpunktTemperatur ? `${værdata.duggpunktTemperatur} C` : "-"}
                        </td>
                    </tr>
                    <tr>
                        <td>Vegbanetemp</td>
                        <td>
                            {værdata.vegbaneTemperatur ? `${værdata.vegbaneTemperatur} C` : "-"}
                        </td>
                    </tr>
                    <tr>
                        <td>Nedbørsintensitet</td>
                        <td>{værdata.nedbør ? `${værdata.nedbør} mm/t` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Vindhastighet</td>
                        <td>{værdata.vindhastighet ? `${værdata.vindhastighet} m/s` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Vindretning</td>
                        <td>{værdata.vindretning ? `${værdata.vindretning} grader` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Friksjon</td>
                        <td>{værdata.friksjon ? `${værdata.friksjon}` : "-"}</td>
                    </tr>
                    <tr>
                        <td>Sikt</td>
                        <td>{værdata.sikt ? `${værdata.sikt} m` : "-"}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    );
};
