export const grader = (coord1: number[], coord2: number[]): number => {
    const [lon1, lat1] = coord1;
    const [lon2, lat2] = coord2;
    const dir = bearing(lat1, lon1, lat2, lon2);
    return dir;
};
export const graderTilRetning = (grad: number) => {
    const directions = ["Nord", "Nordøst", "Øst", "Sørøst", "Sør", "Sørvest", "Vest", "Nordvest"];
    const index = Math.floor(((grad + 22.5) % 360) / 45);
    return directions[index];
};
const tilRadianer = (degrees: number) => {
    return (degrees * Math.PI) / 180;
};

const tilGrader = (radians: number) => {
    return (radians * 180) / Math.PI;
};
const bearing = (startLat: number, startLng: number, sluttLat: number, sluttLng: number) => {
    startLat = tilRadianer(startLat);
    startLng = tilRadianer(startLng);
    sluttLat = tilRadianer(sluttLat);
    sluttLng = tilRadianer(sluttLng);

    const y = Math.sin(sluttLng - startLng) * Math.cos(sluttLat);
    const x =
        Math.cos(startLat) * Math.sin(sluttLat) -
        Math.sin(startLat) * Math.cos(sluttLat) * Math.cos(sluttLng - startLng);
    let brng = Math.atan2(y, x);
    brng = tilGrader(brng);
    return (brng + 360) % 360;
};
