import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import styled from "styled-components";
import React from "react";
import { EksternLenke } from "../../../components/fellesKomponenter/lenker/EksternLenke";

interface DatafeltProps {
    tittel: string;
    data?: string;
    url?: string;
}

export const Datafelt = ({ tittel, data, url }: DatafeltProps) => (
    <DatafeltDiv aria-label="datafelt">
        <Tekst $størrelse={"S"}>{tittel}</Tekst>
        {url ? (
            <EksternLenke href={url} lenkeikon={"vis"} størrelse={"M"} fontWeight={600}>
                {data ? data : "-"}
            </EksternLenke>
        ) : (
            <Tekst $størrelse="M" $bold={true}>
                {data ? data : "-"}
            </Tekst>
        )}
    </DatafeltDiv>
);

const DatafeltDiv = styled.div`
    flex-grow: 1;
    margin-bottom: 8px;
    width: 100%;
`;
