import { grader } from "./Grader";
import styled from "styled-components";
import { Point } from "geojson";

interface KjøretøyRetningProps {
    sisteKoordinater: Point[];
}
export const KjøretøyRetning = ({ sisteKoordinater }: KjøretøyRetningProps) => {
    const [coord1, coord2] = sisteKoordinater;
    const grad = grader(coord2.coordinates, coord1.coordinates);
    return <Kompass $grader={grad}></Kompass>;
};

interface Rotasjon {
    $grader: number;
}

const Kompass = styled.div<Rotasjon>`
    background: url("/ikon/retning.svg") no-repeat;
    transform: rotate(${({ $grader }) => $grader}deg);
    height: 20px;
    width: 15px;
    display: flex;
    z-index: -1;
`;
