import { Boldtext } from "../../../components/fellesKomponenter/typografi/Boldtext";
import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import React from "react";
import styled from "styled-components";
import { KlasseMedSyklus } from "./vinterdriftsklasserUtils";
import { VinterdriftklasserInfo } from "./VinterdriftklasserInfo";

interface VinterdriftsklasserProps {
    klasserMedSyklus: KlasseMedSyklus[];
}
export const Vinterdriftsklasser = ({ klasserMedSyklus }: VinterdriftsklasserProps) => {
    return (
        <Container>
            <RowWrapper>
                <Boldtext $størrelse={"S"}>Vinterdriftsklasser </Boldtext>
                <VinterdriftklasserInfo klasserMedSyklus={klasserMedSyklus} />
            </RowWrapper>

            {klasserMedSyklus.map((klasse, index) => (
                <InnholdListe $størrelse={"S"} key={index}>
                    <span>
                        {klasse.klasse}: Maks syklustid er {klasse.syklus}
                        <br />
                    </span>
                </InnholdListe>
            ))}
        </Container>
    );
};

const Container = styled.div`
    margin-bottom: 10px;
`;

const RowWrapper = styled.div`
    display: flex;
    flex-direction: row;
    gap: 0.4rem;
    align-items: flex-end;
`;

const InnholdListe = styled(Tekst)`
    padding-bottom: 5px;
`;
