import { Spinner } from "../../../components/fellesKomponenter/spinner/Spinner";
import { ApiRespons } from "../../../api/api";
import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import { Veglenkedetaljer } from "./VeglenkeDetaljer";
import { Produksjonsdetaljer } from "../../types/produksjonsdetaljer";
import { RodeDto } from "../../../api/useHentRoder";

interface PopupInnholdProps {
    produksjonsdetaljer?: ApiRespons<Produksjonsdetaljer[]>;
    veglenkeSekvensOgLenkeNummer: string;
    roderPåVeglenken: RodeDto[];
    timerOgMinutterSiden?: string;
}

export const PopupInnhold = ({
    produksjonsdetaljer,
    veglenkeSekvensOgLenkeNummer,
    timerOgMinutterSiden,
    roderPåVeglenken,
}: PopupInnholdProps) => {
    if (produksjonsdetaljer?.suksess && produksjonsdetaljer.data.length === 0) {
        return (
            <Tekst>
                Fant ingen detaljer for produksjon på veglenke {veglenkeSekvensOgLenkeNummer}.
            </Tekst>
        );
    }

    return produksjonsdetaljer?.suksess ? (
        <Veglenkedetaljer
            timerOgMinutterSiden={timerOgMinutterSiden}
            produksjonsdetaljer={produksjonsdetaljer.data}
            roderPåVeglenken={roderPåVeglenken}
        />
    ) : !produksjonsdetaljer ? (
        <Spinner storrelse="liten" sentrert={true} inline={false}>
            <Tekst>Henter detaljer for veglenke...</Tekst>
        </Spinner>
    ) : (
        <Tekst>{produksjonsdetaljer.feilmelding}</Tekst>
    );
};
