import React, { ReactNode } from "react";
import { Tekst } from "../../../../components/fellesKomponenter/typografi/Tekst";
import styled from "styled-components";
import { EksternLenke } from "../../../../components/fellesKomponenter/lenker/EksternLenke";

interface ProduksjoKollonneProps {
    children: ReactNode;
    bredde: number;
    klikkbar?: boolean;
    url?: string;
    onClick?: () => void;
}

export const ProduksjonKollonne = ({
    children,
    bredde,
    klikkbar,
    url,
    onClick,
}: ProduksjoKollonneProps) => {
    return (
        <TabellKollonne $bredde={bredde}>
            {klikkbar && url ? (
                <EksternLenke href={url} lenkeikon={"skjul"} størrelse={"S"} onClick={onClick}>
                    {children}
                </EksternLenke>
            ) : (
                <Tekst $størrelse="S">{children}</Tekst>
            )}
        </TabellKollonne>
    );
};
export const TabellKollonne = styled.td<{
    $bredde: number;
    $ikon?: boolean;
}>`
    padding: 0.5rem;
    text-align: start;
    width: ${(props) => props.$bredde}px;
    ${(props) => props.$ikon && "z-index: -1;"}
`;
