import { Filter, Filterkategori, Filtertype } from "../../../../api/context/ProduksjonsfilterAtoms";
import { Produksjonsdetaljer } from "../../../types/produksjonsdetaljer";
import { filtrerProduksjonsdetaljer } from "../../../filtre/filtrerProduksjon/filtrerProduksjon";
import { defaultTidsfilter } from "../../../jotai/TidsfilterAtom";

describe("Produksjonsdetaljer tabell", () => {
    const produksjonsdetaljer: Produksjonsdetaljer[] = [
        {
            produksjonsdataRestRec: [1],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:17:05",
            hastighetKmHAvg: 48.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [2],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:16:59",
            hastighetKmHAvg: 61.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [3],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:22:59",
            hastighetKmHAvg: 49.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [4],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:19:09",
            hastighetKmHAvg: 40.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [5],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:18:42",
            hastighetKmHAvg: 40.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [6],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:24:21",
            hastighetKmHAvg: 50.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },

        {
            produksjonsdataRestRec: [7],
            kjøretøyId: "6883",
            datoLogget: "2023-01-28T04:23:07",
            hastighetKmHAvg: 52.0,
            erTørrstoffsprederPå: false,
            erVåtstoffsprederPå: false,
            erPlogNede: true,
            eksternReferanse: "644453",
            minutterSiden: 50,
            startLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            sluttLokasjon: {
                recordId: 2954550446,
                punkt: {
                    type: "Point",
                    coordinates: [17.372131, 68.743065],
                },
            },
            vegsystemreferansekortform: "FV7806 S3D1 m1784",
            rodeId: ["zi_4283"],
        },
    ];

    const filter: Filter[] = [
        {
            navn: "Plog nede",
            type: Filtertype.PlogNede,
            kategori: Filterkategori.Brøyting,
            valgt: true,
        },
        {
            navn: "Sideplog",
            type: Filtertype.Sideplog,
            kategori: Filterkategori.Brøyting,
            valgt: true,
        },
        {
            navn: "Underliggende skjær",
            type: Filtertype.UnderliggendeSkjær,
            kategori: Filterkategori.Høvling,
            valgt: true,
        },
        {
            navn: "Tung høvel",
            type: Filtertype.TungHøvel,
            kategori: Filterkategori.Høvling,
            valgt: true,
        },
        {
            navn: "Tørrsand",
            type: Filtertype.Tørrsand,
            kategori: Filterkategori.Sand,
            valgt: true,
        },
        {
            navn: "Fastsand",
            type: Filtertype.Fastsand,
            kategori: Filterkategori.Sand,
            valgt: true,
        },
        {
            navn: "Sand med saltinnblanding",
            type: Filtertype.SandMedSaltInnblanding,
            kategori: Filterkategori.Sand,
            valgt: true,
        },
        {
            navn: "Tørrsalt",
            type: Filtertype.Tørrsalt,
            kategori: Filterkategori.Salt,
            valgt: true,
        },
        {
            navn: "Befuktet salt",
            type: Filtertype.BefuktetSalt,
            kategori: Filterkategori.Salt,
            valgt: true,
        },
        {
            navn: "Saltslurry",
            type: Filtertype.BefuktetFinkornetSalt,
            kategori: Filterkategori.Salt,
            valgt: true,
        },
        {
            navn: "Saltløsning",
            type: Filtertype.Saltløsning,
            kategori: Filterkategori.Salt,
            valgt: true,
        },
        {
            navn: "Magnesiumklorid",
            type: Filtertype.Magnesiumklorid,
            kategori: Filterkategori.Salt,
            valgt: true,
        },
        {
            navn: "Ingen produksjon",
            type: Filtertype.IngenProduksjon,
            kategori: Filterkategori.IngenProduksjon,
            valgt: true,
        },
    ];

    it("Skal vise all kjøring når hastighetsfilter ikke er valgt", () => {
        const hastighetsfilter = { verdi: "", valgt: false };
        const result = filtrerProduksjonsdetaljer(
            filter,
            hastighetsfilter,
            defaultTidsfilter,
            produksjonsdetaljer,
        );
        expect(result).toEqual(produksjonsdetaljer);
    });

    it("Skal kun vise kjøring med min 48 når hastighetsfilter med verdi 48 er valgt", () => {
        const hastighetsfilter = { verdi: "48", valgt: true };

        const result = filtrerProduksjonsdetaljer(
            filter,
            hastighetsfilter,
            defaultTidsfilter,
            produksjonsdetaljer,
        );
        const forventetResultat: Produksjonsdetaljer[] = [
            {
                produksjonsdataRestRec: [1],
                kjøretøyId: "6883",
                datoLogget: "2023-01-28T04:17:05",
                hastighetKmHAvg: 48.0,
                erTørrstoffsprederPå: false,
                erVåtstoffsprederPå: false,
                erPlogNede: true,
                eksternReferanse: "644453",
                minutterSiden: 50,
                startLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                sluttLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                vegsystemreferansekortform: "FV7806 S3D1 m1784",
                rodeId: ["zi_4283"],
            },
            {
                produksjonsdataRestRec: [2],
                kjøretøyId: "6883",
                datoLogget: "2023-01-28T04:16:59",
                hastighetKmHAvg: 61.0,
                erTørrstoffsprederPå: false,
                erVåtstoffsprederPå: false,
                erPlogNede: true,
                eksternReferanse: "644453",
                minutterSiden: 50,
                startLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                sluttLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                vegsystemreferansekortform: "FV7806 S3D1 m1784",
                rodeId: ["zi_4283"],
            },
            {
                produksjonsdataRestRec: [3],
                kjøretøyId: "6883",
                datoLogget: "2023-01-28T04:22:59",
                hastighetKmHAvg: 49.0,
                erTørrstoffsprederPå: false,
                erVåtstoffsprederPå: false,
                erPlogNede: true,
                eksternReferanse: "644453",
                minutterSiden: 50,
                startLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                sluttLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                vegsystemreferansekortform: "FV7806 S3D1 m1784",
                rodeId: ["zi_4283"],
            },
            {
                produksjonsdataRestRec: [6],
                kjøretøyId: "6883",
                datoLogget: "2023-01-28T04:24:21",
                hastighetKmHAvg: 50.0,
                erTørrstoffsprederPå: false,
                erVåtstoffsprederPå: false,
                erPlogNede: true,
                eksternReferanse: "644453",
                minutterSiden: 50,
                startLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                sluttLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                vegsystemreferansekortform: "FV7806 S3D1 m1784",
                rodeId: ["zi_4283"],
            },
            {
                produksjonsdataRestRec: [7],
                kjøretøyId: "6883",
                datoLogget: "2023-01-28T04:23:07",
                hastighetKmHAvg: 52.0,
                erTørrstoffsprederPå: false,
                erVåtstoffsprederPå: false,
                erPlogNede: true,
                eksternReferanse: "644453",
                minutterSiden: 50,
                startLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                sluttLokasjon: {
                    recordId: 2954550446,
                    punkt: {
                        type: "Point",
                        coordinates: [17.372131, 68.743065],
                    },
                },
                vegsystemreferansekortform: "FV7806 S3D1 m1784",
                rodeId: ["zi_4283"],
            },
        ];
        expect(result).toEqual(forventetResultat);
    });
});
