import React from "react";
import styled from "styled-components";
import { SorteringsPil } from "./SorteringsPil";
import { SorterEtter } from "../ProduksjonsdetaljerTabell";
import { ProduksjonsdetaljerKolonneNavn } from "../../kolonneVelger/ProduksjonsdetaljerKolonneVelger";
import { Tekst } from "../../../../../components/fellesKomponenter/typografi/Tekst";

interface SmartSorteringsknappProps {
    label: ProduksjonsdetaljerKolonneNavn;
    sorteringsnøkkel: SorterEtter;
    håndterSortering: (sorteringsnøkkel: SorterEtter) => void;
    finnSorteringsretning: (sorteringsnøkkel: SorterEtter) => boolean | undefined;
}

export const SorteringsKnapp = ({
    label,
    sorteringsnøkkel,
    finnSorteringsretning,
    håndterSortering,
}: SmartSorteringsknappProps) => (
    <Knapp onClick={() => håndterSortering(sorteringsnøkkel)}>
        <Tekst $størrelse="M" $bold={true}>
            {label}
        </Tekst>
        <SorteringsPil stigendeSortering={finnSorteringsretning(sorteringsnøkkel)} />
    </Knapp>
);

const Knapp = styled.button`
    display: flex;
    flex-direction: row;
    align-items: center;
    border: none;
    background: none;
    padding: 0;

    &:hover {
        cursor: pointer;
    }
`;
