import React from "react";
import styled from "styled-components";

interface SorteringsPilProps {
    stigendeSortering?: boolean;
}

export const SorteringsPil = ({ stigendeSortering }: SorteringsPilProps) => (
    <StyledSpan>
        {stigendeSortering ? (
            <Ikon $ikon="/ikon/pil.svg" $bredde={"11"} $roter={"180"} />
        ) : !stigendeSortering && stigendeSortering !== undefined ? (
            <Ikon $ikon="/ikon/pil.svg" $bredde={"11"} />
        ) : (
            <Ikon $ikon="/ikon/to-piler.svg" $bredde={"23"} />
        )}
    </StyledSpan>
);

const StyledSpan = styled.span`
    display: flex;
    justify-content: center;
    width: 23px;
    height: 14px;
    margin-left: 0.5rem;
`;

const Ikon = styled.i<{
    $ikon: string;
    $bredde: string;
    $roter?: string;
}>`
    background: url("${(props) => props.$ikon}") no-repeat;
    width: ${(props) => props.$bredde}px;
    display: block;
    transform: rotate(${(props) => props.$roter}deg);
`;
