import { ProduksjonsdetaljerKolonne } from "./kolonneVelger/ProduksjonsdetaljerKolonneVelger";
import { RodeDto } from "../../../api/useHentRoder";
import { ApiRespons } from "../../../api/api";
import {
    finnDriftsklasseMedHøyesteSyklustid,
    hentSyklusFraKlasser,
} from "../roder/vinterdriftsklasserUtils";
import { defaultAktiveKolonner } from "./kolonneVelger/defaults";

export const erAktiveKolonnerGyldige = (kolonner: ProduksjonsdetaljerKolonne[]) => {
    const defaultAktiveKolonnerNavn = defaultAktiveKolonner.map((kolonne) => kolonne.navn);
    return (
        kolonner.length === defaultAktiveKolonner.length &&
        kolonner.every(({ navn }, index) => navn === defaultAktiveKolonnerNavn[index])
    );
};

export const manglerGyldigRodeData = (
    roderPåVeglenken: RodeDto[],
    roder?: ApiRespons<RodeDto[]>,
) => {
    return (
        !roder?.data ||
        roderPåVeglenken.some(
            (rode) => !rode.vinterdriftsKlasser || rode.vinterdriftsKlasser.length === 0,
        )
    );
};

export const genererMaksSyklustidStreng = (roderPåVeglenken: RodeDto[]) => {
    const driftsklasseMedHøyestSyklustid = finnDriftsklasseMedHøyesteSyklustid(roderPåVeglenken);
    if (driftsklasseMedHøyestSyklustid === undefined) {
        return "";
    }
    return `Data er filtrert for driftsklasse ${driftsklasseMedHøyestSyklustid}, med syklustid: ${hentSyklusFraKlasser(
        driftsklasseMedHøyestSyklustid,
    )}`;
};
