import React from "react";
import styled from "styled-components";
import { Tekst } from "../../../components/fellesKomponenter/typografi/Tekst";
import { RodeDto } from "../../../api/useHentRoder";

export const veglenkePopupUndertekst = (roder: RodeDto[], veglenkeSekvensOgLenkeNummer: string) => (
    <>
        <Tekst $størrelse="S" $nomargin={true}>
            <b>Veglenke: </b>
            {veglenkeSekvensOgLenkeNummer}
        </Tekst>
        {roder.length > 1 ? (
            <>
                <Tekst $størrelse="S" $nomargin={true}>
                    <b>Roder:</b>
                </Tekst>
                <StyledList>
                    {roder.map((rode, index) => (
                        <li key={index}>
                            <Tekst $størrelse="S" $nomargin={true}>
                                {rode.rodeNavn}
                            </Tekst>
                        </li>
                    ))}
                </StyledList>
            </>
        ) : (
            <Tekst $størrelse="S" $nomargin={true}>
                <b>Rode: </b>
                {roder.length === 1 ? roder[0].rodeNavn : "Ingen tilhørende rode funnet"}
            </Tekst>
        )}
    </>
);

const StyledList = styled.ul`
    margin: 0;
    padding: 0;
    list-style: none;
`;
