import React, { useState } from "react";
import {
    ProduksjonsdetaljerKolonne,
    ProduksjonsdetaljerKolonneNavn,
    ProduksjonsdetaljerKolonneVelger,
} from "./ProduksjonsdetaljerKolonneVelger";
import styled from "styled-components";
import { Trekkspill } from "../../../../components/fellesKomponenter/trekkspill/Trekkspill";

interface ProduksjonsdetaljerKolonneDropdownProps {
    kolonner: ProduksjonsdetaljerKolonne[];
    nullstillAktiveKolonner: () => void;
    oppdaterProduksjonsdetaljerKolonne: (kolonneNavn: ProduksjonsdetaljerKolonneNavn) => void;
}

export const ProduksjonsdetaljerKolonneDropdown = ({
    kolonner,
    oppdaterProduksjonsdetaljerKolonne,
    nullstillAktiveKolonner,
}: ProduksjonsdetaljerKolonneDropdownProps) => {
    const [åpen, settÅpen] = useState(false);

    return (
        <Container>
            <Trekkspill
                åpen={åpen}
                tittel={"Velg kolonner"}
                onClick={() => settÅpen(!åpen)}
                type="UtenRamme"
                størrelse="M"
                width="222px"
                makshøyde={"calc(90vh - 340px)"}
            >
                <ProduksjonsdetaljerKolonneVelger
                    kolonner={kolonner}
                    oppdaterProduksjonsdetaljerKolonne={oppdaterProduksjonsdetaljerKolonne}
                    nullstillAktiveKolonner={nullstillAktiveKolonner}
                />
            </Trekkspill>
        </Container>
    );
};

const Container = styled.div`
    padding-right: 16px;
`;
