import {
    ProduksjonsdetaljerKolonne,
    ProduksjonsdetaljerKolonneNavn,
} from "./ProduksjonsdetaljerKolonneVelger";
import { SorterEtter } from "../ProduksjonsdetaljerTabell/ProduksjonsdetaljerTabell";

export const defaultAktiveKolonner: ProduksjonsdetaljerKolonne[] = [
    {
        navn: ProduksjonsdetaljerKolonneNavn.Økt,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.eksternReferanse,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Vegsystemreferansekortform,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.vegsystemreferansekortform,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Tid,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.datoLogget,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Retning,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.datoLogget,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Kjøretøy,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.kjøretøyId,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Fart,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.hastighetKmH,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Materiale,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.materiale,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Plog,
        iBruk: true,
        sorteringsnøkkel: SorterEtter.erPlogNed,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.Sideplog,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.sideplog,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.TungHøvel,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.tungHøvel,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.UnderliggendeSkjær,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.underliggendeSkjær,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.SprederbreddeTørrstoff,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.sprederbreddetoerrstoffcm,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.SprederbreddeVåttstoff,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.sprederbreddevaatstoffcm,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.DoseringTørrstoff,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.doseringtoerrstoffgm2,
    },
    {
        navn: ProduksjonsdetaljerKolonneNavn.DoseringVåttstoff,
        iBruk: false,
        sorteringsnøkkel: SorterEtter.doseringvaatstoffmlm2,
    },
];
