import { Filtertype, MaterialOgAktivitetsNavn } from "../../api/context/ProduksjonsfilterAtoms";

export enum AktivitetKategori {
    Brøyting = "Brøyting",
    Høvling = "Høvling",
}

export enum AktivitetType {
    PlogNede = "PlogNede",
    Sideplog = "Sideplog",
    UnderliggendeSkjær = "UnderliggendeSkjær",
    TungHøvel = "TungHøvel",
}

export type Aktivitet =
    | {
          navn: MaterialOgAktivitetsNavn.PlogNede;
          type: AktivitetType.PlogNede;
          kategori: AktivitetKategori.Brøyting;
      }
    | {
          navn: MaterialOgAktivitetsNavn.Sideplog;
          type: AktivitetType.Sideplog;
          kategori: AktivitetKategori.Brøyting;
      }
    | {
          navn: MaterialOgAktivitetsNavn.UnderliggendeSkjær;
          type: AktivitetType.UnderliggendeSkjær;
          kategori: AktivitetKategori.Høvling;
      }
    | {
          navn: MaterialOgAktivitetsNavn.TungHøvel;
          type: AktivitetType.TungHøvel;
          kategori: AktivitetKategori.Høvling;
      };

export const aktivitetTilFiltertype = (aktivitet: Aktivitet): Filtertype => {
    switch (aktivitet.type) {
        case AktivitetType.PlogNede:
            return Filtertype.PlogNede;
        case AktivitetType.Sideplog:
            return Filtertype.Sideplog;
        case AktivitetType.UnderliggendeSkjær:
            return Filtertype.UnderliggendeSkjær;
        case AktivitetType.TungHøvel:
            return Filtertype.TungHøvel;
    }
};
