import { Filtertype, MaterialOgAktivitetsNavn } from "../../api/context/ProduksjonsfilterAtoms";
export enum MaterialType {
    Tørrsand = "Tørrsand",
    Fastsand = "Fastsand",
    SandMedSaltInnblanding = "SandMedSaltInnblanding",
    Tørrsalt = "Tørrsalt",
    BefuktetSalt = "BefuktetSalt",
    BefuktetFinkornetSalt = "BefuktetFinkornetSalt",
    Saltløsning = "Saltløsning",
    Magnesiumklorid = "Magnesiumklorid",
    UkjentMateriale = "UkjentMateriale",
}

export enum MaterialKategori {
    Salt = "Salt",
    Sand = "Sand",
    UkjentMateriale = "UkjentMateriale",
}

export type Materiale =
    | {
          navn: MaterialOgAktivitetsNavn.Tørrsand;
          type: MaterialType.Tørrsand;
          kategori: MaterialKategori.Sand;
      }
    | {
          navn: MaterialOgAktivitetsNavn.Fastsand;
          type: MaterialType.Fastsand;
          kategori: MaterialKategori.Sand;
      }
    | {
          navn: MaterialOgAktivitetsNavn.SandMedSaltInnblanding;
          type: MaterialType.SandMedSaltInnblanding;
          kategori: MaterialKategori.Sand;
      }
    | {
          navn: MaterialOgAktivitetsNavn.Tørrsalt;
          type: MaterialType.Tørrsalt;
          kategori: MaterialKategori.Salt;
      }
    | {
          navn: MaterialOgAktivitetsNavn.BefuktetSalt;
          type: MaterialType.BefuktetSalt;
          kategori: MaterialKategori.Salt;
      }
    | {
          navn: MaterialOgAktivitetsNavn.BefuktetFinkornetSalt;
          type: MaterialType.BefuktetFinkornetSalt;
          kategori: MaterialKategori.Salt;
      }
    | {
          navn: MaterialOgAktivitetsNavn.Saltløsning;
          type: MaterialType.Saltløsning;
          kategori: MaterialKategori.Salt;
      }
    | {
          navn: MaterialOgAktivitetsNavn.Magnesiumklorid;
          type: MaterialType.Magnesiumklorid;
          kategori: MaterialKategori.Salt;
      }
    | {
          navn: MaterialOgAktivitetsNavn.UkjentMateriale;
          type: MaterialType.UkjentMateriale;
          kategori: MaterialKategori.UkjentMateriale;
      };

export const materialeTilFiltertype = (materiale: Materiale): Filtertype => {
    switch (materiale.type) {
        case MaterialType.Tørrsand:
            return Filtertype.Tørrsand;
        case MaterialType.Fastsand:
            return Filtertype.Fastsand;
        case MaterialType.SandMedSaltInnblanding:
            return Filtertype.SandMedSaltInnblanding;
        case MaterialType.Tørrsalt:
            return Filtertype.Tørrsalt;
        case MaterialType.BefuktetSalt:
            return Filtertype.BefuktetSalt;
        case MaterialType.BefuktetFinkornetSalt:
            return Filtertype.BefuktetFinkornetSalt;
        case MaterialType.Saltløsning:
            return Filtertype.Saltløsning;
        case MaterialType.Magnesiumklorid:
            return Filtertype.Magnesiumklorid;
        case MaterialType.UkjentMateriale:
            return Filtertype.UkjentMateriale;
    }
};
