import { ApiRespons } from "../../api/api";

export const hentFeil = (responses: (ApiRespons<any> | undefined)[]): string[] => {
    const feilmeldinger = responses.reduce((acc: Set<string>, response) => {
        if (response !== undefined && !response?.suksess && !acc.has(response.feilmelding)) {
            acc.add(response.feilmelding);
        }
        return acc;
    }, new Set<string>());
    return Array.from(feilmeldinger);
};
