import { RodeDto } from "../../api/useHentRoder";
import { LatLngBoundsExpression } from "leaflet";
import { Produksjonsdetaljer } from "../types/produksjonsdetaljer";

export const erMuseKlikk = (e: React.MouseEvent<HTMLElement>) => e.screenX === 0 && e.screenY === 0;

export const hentRodeFraVeglenkeEllerProduksjonsdetaljer = (
    rodedata: RodeDto[] | undefined,
    veglenke: string,
    produklsjonsdetaljer?: Produksjonsdetaljer[],
): RodeDto[] => {
    if (!rodedata) return [];

    const veglenkeFormatert = veglenke.replace(" - ", "-");
    const veglenkeRodedata = rodedata.filter((rode: RodeDto) =>
        rode.detaljer.veglenke.includes(veglenkeFormatert),
    );
    if (veglenkeRodedata.length > 0) {
        return veglenkeRodedata;
    }
    if (produklsjonsdetaljer) {
        const rodeIder = produklsjonsdetaljer.flatMap((detalj) => detalj.rodeId);
        return rodedata.filter((rode) => rodeIder.includes(rode.rodeId));
    }
    return [];
};

export const hentRodeIdFraVeglenke = (
    veglenkesekvensId: string,
    veglenkeNummer: string,
    rodedata: RodeDto[] | undefined,
): string[] => {
    const veglenke = `${veglenkesekvensId}-${veglenkeNummer}`;
    const roderMedLenke = rodedata?.filter((rode) => rode?.detaljer?.veglenke?.includes(veglenke));
    const rodeId = roderMedLenke?.map((rode) => rode.rodeId);
    return rodeId ?? [];
};
export const defaultBounds: LatLngBoundsExpression = [
    [59.9, 10.7],
    [71.4, 31.8],
];
