interface SideInfo {
    navn: string;
    href: string;
    ikonUrl: string;
    beskrivelse: string;
}

export type Side =
    | "produksjonskart"
    | "driftsportal"
    | "webkamera"
    | "øktdetaljer"
    | "friksjonsdashboard";

export const sideInfo: Record<Side, SideInfo> = {
    produksjonskart: {
        navn: "Produksjon",
        href: "/produksjonskart",
        ikonUrl: "/ikon/produksjonskart.svg",
        beskrivelse: "Produksjonskart",
    },
    driftsportal: {
        navn: "Driftsportal",
        href: "/",
        ikonUrl: "/ikon/datamaskin.svg",
        beskrivelse: "Driftsportalen",
    },
    webkamera: {
        navn: "Webkamera",
        href: "/webkamera",
        ikonUrl: "/ikon/vegkamera.svg",
        beskrivelse: "Samleside for webkameraer",
    },
    øktdetaljer: {
        navn: "Øktdetaljer",
        href: "/oktdetaljer",
        ikonUrl: "/ikon/produksjonskart.svg",
        beskrivelse: "Øktdetaljer",
    },
    friksjonsdashboard: {
        navn: "Friksjonsdashboard (beta)",
        href: "/friksjonsdashboard",
        ikonUrl: "/ikon/snowflake.svg",
        beskrivelse: "Friksjonsdashboard (beta)",
    },
};
