import { finnMiljø, Miljø } from "./miljø";

const tjenesteUrl = (miljø: Miljø, tjeneste: string): string => {
    switch (miljø) {
        case Miljø.lokal:
            return `http://localhost:3001/${tjeneste}`;
        case Miljø.mobil:
            return `http://${process.env.NEXT_PUBLIC_MOBIL_URL}:3001/${tjeneste}`;
        case Miljø.utv:
            return `https://${tjeneste}.utv.atlas.vegvesen.no`;
        case Miljø.test:
            return `https://${tjeneste}.test.atlas.vegvesen.no`;
        case Miljø.prod:
        default:
            return `https://${tjeneste}.atlas.vegvesen.no`;
    }
};

export const DRIFTSPORTAL_API_URL = tjenesteUrl(finnMiljø(), "driftsportal-api");
export const GCP_MEDIATOR_URL = tjenesteUrl(finnMiljø(), "gcp-mediator");
export const OIDC_LOGIN_URL = tjenesteUrl(finnMiljø(), "oidc-login");
export const WEBKAMERA_URL = tjenesteUrl(finnMiljø(), "webkamera");
