import { useHydrateAtoms } from "jotai/utils";
import { Provider } from "jotai/index";
import React from "react";

const HydrateAtoms = ({
    initialValues,
    store,
    children,
}: {
    initialValues: any[];
    store?: any;
    children: JSX.Element;
}) => {
    useHydrateAtoms(initialValues, store);
    return children;
};

export const TestProvider = ({
    initialValues,
    children,
    store,
}: {
    initialValues: any[];
    children: JSX.Element;
    store?: any;
}) => (
    <Provider>
        <HydrateAtoms initialValues={initialValues} store={store}>
            {children}
        </HydrateAtoms>
    </Provider>
);
