export enum Miljø {
    lokal,
    mobil,
    utv,
    test,
    prod,
    ukjent,
}

export const finnMiljø = (): Miljø => {
    if (typeof window == "undefined") {
        return Miljø.ukjent;
    } else {
        const hostname = window.location.hostname;
        return hostname.includes(".utv.atlas.")
            ? Miljø.utv
            : hostname.includes(".test.atlas.")
              ? Miljø.test
              : hostname === "localhost"
                ? Miljø.lokal
                : hostname === process.env.NEXT_PUBLIC_MOBIL_URL
                  ? Miljø.mobil
                  : Miljø.prod;
    }
};
