const lagreILocalStorage = (key: string, value: Object) =>
    localStorage.setItem(key, JSON.stringify(value));

const hentFraLocalStorage = <Type>(key: string, defaultVerdi: Type): Type => {
    if (typeof window !== "undefined") {
        const lagretVerdi = window.localStorage?.getItem(key);
        return lagretVerdi ? JSON.parse(lagretVerdi) : defaultVerdi;
    } else {
        return defaultVerdi;
    }
};

const localStorageService = {
    lagreILocalStorage,
    hentFraLocalStorage,
};

export default localStorageService;
