import { render, screen } from "@testing-library/react";
import { WebkameraSide } from "./WebkameraSide";
import fetch from "jest-fetch-mock";
import { axeTilpasset } from "../utils/axeTilpasset";
import React from "react";
import { valgteFylkerAtom } from "./jotai/atoms";
import { TestProvider } from "../utils/jotaiTestProvider";
import {
    AuthenticationStatus,
    authenticationStatusAtom,
    authenticationStore,
} from "../api/context/InitAuthentication";
import "../utils/matchMedia.js";

describe("Webkameraside", () => {
    it("rendrer uten jest-axe-violations (fanger ikke alle UU-brudd)", async () => {
        fetch.mockResponse(
            '[{"id":3135102,"stedsnavn":"Lillesand døgnhvileplass","veg":"E18","landsdel":"Sør-Norge","vaervarsel":"https://www.yr.no/nb/værvarsel/daglig-tabell/58.267044,8.395375","info":"60 moh - retning døgnhvileplass","fylkesnummer":"42","maalestasjonsnummer":"3000766","videoformat":"","videoUrl":"","videobeskrivelse":"","bildefrekvens":"3","lengdegrad":8.395375,"breddegrad":58.267044}]',
        );
        const { container } = render(
            <TestProvider
                initialValues={[
                    [valgteFylkerAtom, ["42"]],
                    [authenticationStatusAtom, AuthenticationStatus.Autentisert],
                ]}
                store={{ store: authenticationStore }}
            >
                <WebkameraSide />
            </TestProvider>,
        );
        await screen.findByText("60 moh - retning døgnhvileplass");
        expect(screen.getByText("60 moh - retning døgnhvileplass")).toBeVisible();
        expect(await axeTilpasset(container)).toHaveNoViolations();
    });
});
