import styled from "styled-components";
import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";

interface FilterTagProps {
    children: string;
    onClick: () => void;
}

export const FilterTag = ({ children, onClick }: FilterTagProps) => {
    return (
        <Tag onClick={onClick}>
            <Tekst $størrelse="M" $bold={true} $nomargin={true}>
                {children}
            </Tekst>
            <Kryss />
        </Tag>
    );
};

const Tag = styled.button`
    background-color: var(--white);
    border: none;
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 10px 16px;
    box-shadow: inset 0 0 0 2px var(--orange);
    width: max-content;
    border-radius: 24px;

    &:hover {
        box-shadow: inset 0 0 0 3px var(--gray-dark);
    }

    &:focus {
        box-shadow: inset 0 0 0 3px var(--gray-dark);
        outline: 3px solid var(--orange);
        outline-offset: 2px;
    }
`;

const Kryss = styled.i`
    display: inline-block;
    width: 16px;
    height: 16px;
    background: url("/ikon/lukknapp.svg") no-repeat 50%/16px;
`;
