import fylker from "../../driftsportalSide/tekst/fylker.json";
import { FilterTag } from "./FilterTag";
import styled from "styled-components";
import React from "react";
import { loggEventMedTabellnavnOgVerdi, TabellNavn } from "../../utils/loggFrontend";

interface ValgteFylkerProps {
    valgteFylker: string[];
    håndterFylkesValg: (fylker: string[]) => void;
}

export const ValgteFylker = ({ valgteFylker, håndterFylkesValg }: ValgteFylkerProps) => (
    <FilterTagListe>
        {valgteFylker.map((valgt, index) => {
            const tittel = fylker.find((fylke) => fylke.fylkesnummer === valgt)?.tittel;
            if (tittel === undefined) return <></>;
            return (
                <li key={index}>
                    <FilterTag
                        onClick={() => {
                            const newState = valgteFylker.filter((value) => value !== valgt);
                            håndterFylkesValg(newState);
                            loggEventMedTabellnavnOgVerdi(TabellNavn.fylkesvelger, tittel, "Av");
                        }}
                    >
                        {tittel}
                    </FilterTag>
                </li>
            );
        })}
    </FilterTagListe>
);

const FilterTagListe = styled.ul`
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    list-style: none;
    padding: 0;
    max-width: 100vw;
    margin: 0;
`;
