import { Grafdata } from "./Grafer";
import { DoseringsValg } from "./DoseringsValg";
import { ReferanselinjeValg } from "../../components/grafer/ReferanselinjeValg";
import { GeneriskGrafvalg, ValgContainer } from "../../components/grafer/GeneriskGrafvalg";
import { AktivGrafValg } from "../../components/grafer/AktivGrafValg";
import { aktivGrafTypeAtom, GrafKategori, GrafType } from "../jotai/atoms";
import { useAtomValue } from "jotai";
import { hentDoseringsBenevningAxis, hentTicksYaxisDosering, hentUnikeGrafdata } from "./grafUtils";
import { GeneriskØktGraf } from "./GeneriskØktGraf";
import { hentTittelOgTillattVerdier } from "./referanselinjeUtils";
import { Skillelinje } from "../../components/grafer/styles";

export const DoseringsGraf = ({ grafdata }: { grafdata: Grafdata[] }) => {
    const aktivGrafType = useAtomValue(aktivGrafTypeAtom);
    const tickArrayYaxis = hentTicksYaxisDosering(grafdata, aktivGrafType);
    const doseringsBenenvning = hentDoseringsBenevningAxis(grafdata);
    const unikeGrafdata = hentUnikeGrafdata(grafdata);
    const trekkspillInnhold = hentTittelOgTillattVerdier(GrafKategori.dosering, unikeGrafdata);

    return (
        <>
            <GeneriskØktGraf
                tickArrayYaxis={tickArrayYaxis}
                grafdata={grafdata}
                doseringsBenenvning={doseringsBenenvning}
            />
            <GeneriskGrafvalg>
                <ValgContainer>
                    <AktivGrafValg grafside={"øktdetaljer"} />
                    <Skillelinje />
                    <DoseringsValg />
                    {aktivGrafType === GrafType.dosering && (
                        <>
                            <Skillelinje />
                            <ReferanselinjeValg trekkspillInnhold={trekkspillInnhold} />
                        </>
                    )}
                </ValgContainer>
            </GeneriskGrafvalg>
        </>
    );
};
