import { Tekst } from "../../components/fellesKomponenter/typografi/Tekst";
import { Radioknapp } from "../../components/fellesKomponenter/radioknapper/Radioknapp";
import React from "react";
import { aktivGrafTypeAtom, GrafType } from "../jotai/atoms";
import { useAtom } from "jotai";
import {
    loggEventMedTabellnavnOgVerdi,
    TabellNavn,
    GrafvalgLoggEvent,
} from "../../utils/loggFrontend";
import { ColumnWrapperValg } from "../../components/grafer/styles";

export const DoseringsValg = () => {
    const [aktivGrafType, setAktivGrafType] = useAtom(aktivGrafTypeAtom);

    const håndterAktivGraf = (type: GrafType) => {
        setAktivGrafType(type);
        loggEventMedTabellnavnOgVerdi(
            TabellNavn.grafvalgØkt,
            GrafvalgLoggEvent.doseringstype,
            type.toString(),
        );
    };

    return (
        <ColumnWrapperValg>
            <Tekst $bold={true} $nomargin={true} $størrelse={"M"}>
                Velg dosering eller sprederbredde
            </Tekst>
            <Radioknapp
                key={"doseringstype"}
                value={"doseringstype"}
                checked={aktivGrafType === GrafType.dosering}
                name={"doseringstype"}
                onChange={() => håndterAktivGraf(GrafType.dosering)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Dosering
            </Radioknapp>
            <Radioknapp
                key={"sprederbreddetype"}
                value={"sprederbreddetype"}
                checked={aktivGrafType === GrafType.sprederbredde}
                name={"doseringstype"}
                onChange={() => håndterAktivGraf(GrafType.sprederbredde)}
                størrelse={"S"}
                tekstStørrelse={"M"}
            >
                Sprederbredde
            </Radioknapp>
        </ColumnWrapperValg>
    );
};
