import React from "react";
import { hentUnikeGrafdata } from "./grafUtils";
import { Grafdata } from "./Grafer";
import { KnappUtenStyling } from "../../components/fellesKomponenter/knapper/KnappUtenStyling";
import {
    loggEventMedTabellnavnOgVerdi,
    TabellNavn,
    GrafvalgLoggEvent,
} from "../../utils/loggFrontend";
import { LegendContainer, LegendItem } from "../../components/grafer/styles";

export const ØktdetaljerLegend = ({
    grafdata,
    setGrafdata,
}: {
    grafdata: Grafdata[];
    setGrafdata: (data: Grafdata[]) => void;
}) => {
    const unikeGrafdata = hentUnikeGrafdata(grafdata);

    const toggleProduksjonstype = (tittel: string) => {
        const newGrafdata: Grafdata[] = grafdata.map((_grafdata) => {
            if (_grafdata.tittel === tittel) {
                return {
                    ..._grafdata,
                    visible: !_grafdata.visible,
                };
            } else {
                return { ..._grafdata };
            }
        });
        setGrafdata(newGrafdata);
        loggEventMedTabellnavnOgVerdi(
            TabellNavn.grafvalgØkt,
            GrafvalgLoggEvent.produksjonsfilter,
            tittel,
        );
    };

    return (
        <LegendContainer>
            {Array.isArray(unikeGrafdata) &&
                unikeGrafdata?.map((e, index) => (
                    <KnappUtenStyling
                        onClick={() => toggleProduksjonstype(e.tittel)}
                        key={`item-${index}`}
                    >
                        <LegendItem $color={e.color} $visible={e.visible}>
                            {e.tittel}
                        </LegendItem>
                    </KnappUtenStyling>
                ))}
        </LegendContainer>
    );
};
