import { Container, Kategori, Opplysning, VisSkjulKnapp } from "./Metadata";

interface VegsystemreferanserProps {
    vegsystemrefs: string[];
    seAlleVegreferanser: boolean;
    setSeAlleVegreferanser: (seAlleVegreferanser: boolean) => void;
}
export const Vegsystemreferanser = ({
    vegsystemrefs,
    seAlleVegreferanser,
    setSeAlleVegreferanser,
}: VegsystemreferanserProps) => (
    <Container>
        <Kategori>Vegsystemreferanser:</Kategori>
        {vegsystemrefs.length < 4 ? (
            vegsystemrefs.map((ref, index) => <Opplysning key={index}>{ref}</Opplysning>)
        ) : !seAlleVegreferanser ? (
            <>
                {vegsystemrefs.slice(0, 3).map((ref, index) => (
                    <Opplysning key={index}>{ref}</Opplysning>
                ))}
                <VisSkjulKnapp onClick={() => setSeAlleVegreferanser(true)}>
                    <Opplysning>Vis alle</Opplysning>
                </VisSkjulKnapp>
            </>
        ) : (
            <>
                {vegsystemrefs.map((ref, index) => (
                    <Opplysning key={index}>{ref}</Opplysning>
                ))}
                <VisSkjulKnapp onClick={() => setSeAlleVegreferanser(false)}>
                    <Opplysning>Skjul</Opplysning>
                </VisSkjulKnapp>
            </>
        )}
    </Container>
);
