import { hentUkedagOgDato, varighetIDagTimeMinutt } from "../../utils/tid";
import { Container, KategoriTabell, Opplysning } from "./Metadata";
import styled from "styled-components";
import { Produksjonsdetaljer } from "../../kartSide/types/produksjonsdetaljer";

export const Øktopplysninger = ({
    produksjonsdetaljer,
}: {
    produksjonsdetaljer: Produksjonsdetaljer[];
}) => {
    if (produksjonsdetaljer.length === 0) return null;
    const dataFørste = produksjonsdetaljer[0];
    const dataSiste = produksjonsdetaljer[produksjonsdetaljer.length - 1];
    const varighet = varighetIDagTimeMinutt(dataFørste.datoLogget, dataSiste.datoLogget);

    return (
        <Container>
            <Wrapper>
                <KategoriTabell>Øktid: </KategoriTabell>
                <Opplysning>{dataFørste.eksternReferanse}</Opplysning>
            </Wrapper>
            <Wrapper>
                <KategoriTabell>Kjøretøyid: </KategoriTabell>
                <Opplysning>{dataFørste.kjøretøyId}</Opplysning>
            </Wrapper>
            <Wrapper>
                <KategoriTabell>Fra: </KategoriTabell>
                <Opplysning>{hentUkedagOgDato(dataFørste.datoLogget)}</Opplysning>
            </Wrapper>
            <Wrapper>
                <KategoriTabell>Til: </KategoriTabell>
                <Opplysning>{hentUkedagOgDato(dataSiste.datoLogget)}</Opplysning>
            </Wrapper>
            <Wrapper>
                <KategoriTabell>Varighet: </KategoriTabell> <Opplysning>{varighet}</Opplysning>
            </Wrapper>
        </Container>
    );
};

const Wrapper = styled.div`
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
`;
