import { sideInfo } from "../sider";
import { DataStatus, FetchStatus } from "../api/api";

export const genererØktUrl = (øktid: string | undefined) => {
    return øktid ? sideInfo.øktdetaljer.href + ("/?oktid=" + øktid) : undefined;
};

export const hentFetchStatusFraResponser = (responser: DataStatus<any>[]) => {
    if (responser.every((respons) => respons.status === FetchStatus.Suksess)) {
        return FetchStatus.Suksess;
    } else if (responser.some((respons) => respons.status === FetchStatus.Laster)) {
        return FetchStatus.Laster;
    } else if (responser.some((respons) => respons.status === FetchStatus.Feil)) {
        return FetchStatus.Feil;
    } else {
        return FetchStatus.IkkeHentet;
    }
};
